<?php

require_once "fs_lang.php";
require_once "common_functions.php";
require_once 'generate_common.php';

// 20080403 - Collect dynamic HTML content for layout
$smarty = new SmartyConnect;
$smarty->assign('L_BLOCKED_CHARSET', metaCharset());
$smarty->assign('L_BLOCKED_TITLE', get_var('blocked_title'));

// 20081219 - Determine using message from Client Blacklist or IP Block List
if ($bClient == 1) {
    $smarty->assign('L_BLOCKED_MSG', get_var('block_client_blacklist'));
} else {
    $smarty->assign('L_BLOCKED_MSG', get_var('block_ip_block_list'));
}

$smarty->assign('J_COMMON', $j_common);

// 20080403 - Move layout content and include the file here
$smarty->display('blocked_notice_body.tpl');

?>
