<?php
	$disabled = '';

    // 20081029 - Handling for Scratch Code mode
    $settingobj = new COM('FSCONFIG.Cfgmgr') or die('c_BulkAcc.php FSCONFIG.Cfgmgr Object cannot be created!');
    $scratch_login = (strtolower($settingobj->getKey('scratch_login', 'gateway') == 'on'))? 'true' : 'false';
    if ($scratch_login == 'true') {
	echo '
<form action="settingok.php" name="bcreateform" method="post" onSubmit="return validate_bcreate_sc()">
    <input type="hidden" name="save_bcreate" value="true">'."\n";
    } else {
	echo '
<form action="settingok.php" name="bcreateform" method="post" onSubmit="return validate_bcreate()">
    <input type="hidden" name="save_bcreate" value="true">'."\n";
    }

    gen_head();

    gen_sep();

    $export_file='bulkuser.csv';

    $dsn_file = $settingobj->getKey('Datasource', 'gateway');
    $dsn_source=fopen($dsn_file, 'r') or die('Cannot open DSN source file!');

    $dsn='';

    if (!feof($dsn_source)) { $line=fgets($dsn_source,512); }
    while (!feof($dsn_source)) {
        $line=fgets($dsn_source,512);
        if (trim($line)!='') $dsn=$dsn.$line;
    }
    $dsn=str_replace("\r\n",';',$dsn);

    $planDB=odbc_connect($dsn,'','');

    $firstspotplantable=$settingobj->getKey('Datasource_Plans_Tablename', 'gateway');
    //$settingobj->Release();

    // 20081029 - Handling for Scratch Code mode
    if ($scratch_login == 'true') {
	gen_section_heading(get_cm_var('setcfg_bcreate_scode'));
	gen_sep();
    } else {
	gen_section_heading(get_cm_var('setcfg_bcreate_username'));
	gen_sep();

	$input = '<input class="longtextbox" type="text" name="prefix" value="user" '.$disabled.' onfocus="this.select()">';
	gen_line(get_cm_var('setcfg_bcreate_prefix'), $input);
	gen_sep();

	$input = '<input class="longtextbox" type="text" name="middle_digits_start" value="1" '.$disabled.' onKeyPress="return numbersonly(this,event)" onfocus="this.select()">';
	gen_line(get_cm_var('setcfg_bcreate_middle_start'), $input);
	gen_sep();
    }

	$input = '<input class="longtextbox" type="text" name="middle_digits_end" value="10" '.$disabled.' onKeyPress="return numbersonly(this,event)" onfocus="this.select()">';
    // 20081029 - Handling for Scratch Code mode
    if ($scratch_login == 'true') {
	gen_line(get_cm_var('setcfg_bcreate_sc_num'), $input);
    } else {
	gen_line(get_cm_var('setcfg_bcreate_middle_end'), $input);
    }
	gen_sep();

    // 20081029 - Handling for Scratch Code mode
    if ($scratch_login == 'false') {
	$input = '<input class="longtextbox" type="text" name="suffix" value="x" '.$disabled.' onfocus="this.select()">';
	gen_line(get_cm_var('setcfg_bcreate_suffix'), $input);
	gen_sep();
    }

    gen_section_heading(get_cm_var('setcfg_bcreate_plan'));

    gen_sep();

    $input = "\n<select name=\"plan\" style=\"width:250px; background : #FFF\" ".$disabled.">\n";

    $query = "SELECT * FROM $firstspotplantable ORDER BY pname;";
    $result = odbc_exec($planDB,$query);

    $input .= '    <option value="_plan_0">No plan is selected'."\n";

    while (odbc_fetch_row($result)) {
        $planName = odbc_result($result,'pname');
        $input .= "    <option value=\"$planName\">$planName\n";
    }

    $input .= "</select>\n";

    odbc_close($planDB);

    gen_line(get_cm_var('setcfg_bcreate_existing_plan'), $input);
    gen_sep();

    // 20081029 - Handling for Scratch Code mode
    if ($scratch_login == 'true') {
	gen_section_heading(get_cm_var('setcfg_bcreate_sc_length'));
    } else {
	gen_section_heading(get_cm_var('setcfg_bcreate_pwd_length'));
    }
    gen_sep();

    $input = '<input class="longtextbox" type="text" name="password_length" maxlength="3" value="8" onKeyPress="return numbersonly(this,event)" onfocus="this.select()" '.$disabled.'>';
    // 20081029 - Handling for Scratch Code mode
    if ($scratch_login == 'true') {
	gen_line(get_cm_var('setcfg_bcreate_sc_length_field'), $input);
    } else {
	gen_line(get_cm_var('setcfg_bcreate_pwd_length_field'), $input);
    }

	gen_sep();
	
	
	// spun : begin - add slip format 
	// the following code is originated from c_user.php line 327
	
	// add javascript for show/hide
	echo'
            <script type="text/javascript">         
            function onSelectSlipFormatOption(instance){ // when user select "Slip Printing Format", chooses from "Default" and "New"
                if(instance.value==1)                
					document.getElementById("slip_options").style.display=""                  
                else                
					document.getElementById("slip_options").style.display="none"                                 
            }			
			function onClickEnableSlip(instance){// when user click checkbox "Enable Slip preview"
                if (instance.checked) {                
                    document.getElementById("slip").style.display="";
					if (document.getElementById("slip_format_option").value==1)
						document.getElementById("slip_options").style.display="";
					else
						document.getElementById("slip_options").style.display="none";
				}
				else {				
					document.getElementById("slip").style.display="none";
					document.getElementById("slip_options").style.display="none";
				}
			}
            </script>			
	';
			
	gen_section_heading(get_cm_var('setcfg_bcreate_slip_printing'));
	gen_sep();

	// show-hide the whole slip table using  'enable slip checkbox'
	$enable_slip_preview =  $settingobj->getKey('enable_slip_preview', 'bulk');
	if ($enable_slip_preview){	
		$input = '<input type="checkbox" onClick=onClickEnableSlip(this) name="slip_enable" CHECKED/>';
		gen_line(get_cm_var('setcfg_bcreate_enable_slip'), $input);    
		gen_sep();					
		echo '<table id="slip" style="" width="94%" border="0" cellpadding="1" cellspacing="0" bgcolor="#ffffff"><tr><td>';
	} else {
		$input = '<input type="checkbox" onClick=onClickEnableSlip(this) name="slip_enable"/>';		
		gen_line(get_cm_var('setcfg_bcreate_enable_slip'), $input);    
		gen_sep();						
		echo '<table id="slip" style="display:none;" width="94%" border="0" cellpadding="1" cellspacing="0" bgcolor="#ffffff"><tr><td>';
	}	

	// per slip preview
	$users_per_page = $settingobj->getKey('slip_per_page', 'bulk');
	$input = '<input class="longtextbox" type="text" name="users_per_page" value="'.$users_per_page.'" '.$disabled.' onKeyPress="return numbersonly(this,event)" onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_bcreate_users_per_page'), $input);    
	gen_sep();		
	
	$slip_format_option = $settingobj->getKey('slip_format_option', 'users');
	$slip_title = $settingobj->getKey('past_slip_title', 'users');
	$slip_title_size = $settingobj->getKey('past_slip_title_size', 'users');
	$slip_end = $settingobj->getKey('past_slip_end', 'users');
	$slip_end_size = $settingobj->getKey('past_slip_end_size', 'users');
	$settingobj=null;	
	
	$selectOption=array("", "");
	$selectOption[$slip_format_option] = "selected";
	$input="\n".'<select name="slip_format_option"  id="slip_format_option" style="width:250px; background : #FFF" onChange=onSelectSlipFormatOption(this)>'."\n";
	$input.='<option value=0 '.$selectOption[0].'>Default</option>';
	$input.='<option value=1 '.$selectOption[1].'>New</option></selec>';
	gen_line(get_cm_var('setcfg_users_slip_format'), $input);
	gen_sep();			
	
	// show-hide the slip_format (slip header, footer, font size, etc) 
	if ($slip_format_option && $enable_slip_preview)
		echo '<table id="slip_options"  width="94%" border="0" cellpadding="1" cellspacing="0" bgcolor="#ffffff"><tr><td>';	
	else 
		echo '<table id="slip_options" style="display:none;" width="94%" border="0" cellpadding="1" cellspacing="0" bgcolor="#ffffff"><tr><td>';	
		
	// create slip_title
	echo '<tr><td id="slip_title">';
	$input = '<input class="longtextbox" type="text" name="slip_title" value="'.$slip_title.'"><a name="offset"></a>';
    gen_line(get_cm_var('setcfg_users_slip_title'), $input);
	echo '</td></tr>';
    gen_sep();	
	//create slip_title_size
	$select=array("", "", "", "");
	$select[$slip_title_size] = "selected";     	
	$input='<select name="slip_title_size" style="width:250px;  background : #FFF">
		<option value=0 '.$select[0].'>Default</option>
		<option value=1 '.$select[1].'>2</option>
		<option value=2 '.$select[2].'>4</option>
		<option value=3 '.$select[3].'>6</option>           
		</select>'; 
	gen_line(get_cm_var('setcfg_users_slip_title_size'), $input);    
	gen_sep();	
	//create slip_end textbox
	$input = '<input class="longtextbox" type="text" name="slip_end" value="'.$slip_end.'"><a name="offset"></a>';
	gen_line(get_cm_var('setcfg_users_slip_end'), $input);
    gen_sep();		
	//create slip_end_size textbox
	$select=array("", "", "", "");
	$select[$slip_end_size] = "selected";	
	$input='<select name="slip_end_size" style="width:250px; background : #FFF">
		<option value=0 '.$select[0].'>Default</option>
		<option value=1 '.$select[1].'>2</option>
		<option value=2 '.$select[2].'>4</option>
		<option value=3 '.$select[3].'>6</option>           
		</select>'; 
	gen_line(get_cm_var('setcfg_users_slip_end_size'), $input);	
	gen_sep();	
	echo '</td></tr></table>';
	echo '</td></tr></table>';		
	// spun : end - add slip format 	
	
    gen_sep();
    gen_save('save_bcreate',$fs_status);
    gen_foot();

?>


        <script type="text/javascript"><!--
            document.bcreateform.plan.selectedIndex = 0;    // -->
        </script>
        <table border="0" width="100%" cellspacing="5" cellpadding="3">
          <tr>
            <td width="100%" valign="top" height="3"><img src="./images/blank.gif" border="0" width="3" height="3"></td>
          </tr>
<?
    // 20081029 - Add text shown under Scratch Code mode
    if ($scratch_login == 'true') {
?>
          <tr>
            <td width="100%"><p class="indented"><img src="./images/blank.gif" width="18" height="6"><?=stripslashes(get_cm_var('setcfg_bcreate_comment1'))?></td>
          </tr>
          <tr>
            <td width="100%"><p class="indented"><img src="./images/blank.gif" width="18" height="6"><?=stripslashes(get_cm_var('setcfg_bcreate_comment4'))?></td>
          </tr>
          <tr>
            <td width="100%"><p class="indented"><img src="./images/blank.gif" width="18" height="6"><?=stripslashes(get_cm_var('setcfg_bcreate_comment7'))?></td>
          </tr>
          <tr>
            <td width="100%"><p class="indented"><img src="./images/blank.gif" width="18" height="6"><?=stripslashes(get_cm_var('setcfg_bcreate_comment8'))?></td>
          </tr>
<?
    } else {
?>
          <tr>
            <td width="100%"><p class="indented"><img src="./images/blank.gif" width="18" height="6"><?=stripslashes(get_cm_var('setcfg_bcreate_comment2'))?></td>
          </tr>
          <tr>
            <td width="100%"><p class="indented"><img src="./images/blank.gif" width="18" height="6"><?=stripslashes(get_cm_var('setcfg_bcreate_comment3'))?></td>
          </tr>
          <tr>
            <td width="100%"><p class="indented"><img src="./images/blank.gif" width="18" height="6"><?=stripslashes(get_cm_var('setcfg_bcreate_comment5'))?></td>
          </tr>
          <tr>
            <td width="100%"><p class="indented"><img src="./images/blank.gif" width="18" height="6"><?=stripslashes(get_cm_var('setcfg_bcreate_comment6'))?></td>
          </tr>
<?
    }
?>
        </table>
