<?php

require_once "fs_lang.php";
require_once 'common_functions.php'; // 20080403
require_once 'generate_common.php';

// 20080418 - Get config settings
$settingObj = new COM("FSCONFIG.Cfgmgr") or die("fs_signup.php FSCONFIG.Cfgmgr Object cannot be created!");
$scratchLogin = $settingObj->getKey('scratch_login', 'gateway');
$settingObj = null;

$text_title = get_var('chgpwd_form');
$text_username = get_var('chgpwd_username');
$text_old_password = get_var('chgpwd_oldpwd');
$text_new_password = get_var('chgpwd_pwd1');
$text_confirm_password = get_var('chgpwd_pwd2');
$text_submit = get_var('chgpwd_submit_btn');
$jsContent = '
	window.onload = function() { document.form1.username.focus(); };';
	
if (isset($_SESSION['session_username']) && $_SESSION['session_username'] != ''){
	$jsContent = '
	window.onload = function() { document.getElementById(\'row1\').style.display = \'none\';document.form1.old_password.focus(); };';
}else{
	$jsContent = '
	window.onload = function() { document.form1.username.focus(); };';
}

// 20080403 - Collect dynamic HTML content for layout and include layout file
$smarty = new SmartyConnect;
$smarty->assign('L_CHGPWD_CHARSET', metaCharset());
$smarty->assign('L_CHGPWD_TITLE', $text_title);
$smarty->assign('J_COMMON', $j_common);
if (isset($scratchLogin) && $scratchLogin == 'on') {
    $smarty->assign('L_CHGPWD_BLOCK_MSG', get_var('chgpwd_problem_access_right'));
    $smarty->display('chgpwd_form_block.tpl');
} else {
    $smarty->assign('J_CHGPWD_CONTENT', $jsContent);
    $smarty->assign('L_CHGPWD_LANG_BOX', language_selection_box()); // generate a selection box for user to choose language
    $smarty->assign('L_CHGPWD_USERNAME', $text_username);
    $smarty->assign('L_CHGPWD_OLD_PWD', $text_old_password);
    $smarty->assign('L_CHGPWD_NEW_PWD', $text_new_password);
    $smarty->assign('L_CHGPWD_CONFIRM_PWD', $text_confirm_password);
    $smarty->assign('CHGPWD_SUBMIT', $text_submit);
    $smarty->display('chgpwd_form_body.tpl');
}

?>
