<?php header("Cache-Control: no-cache, must-revalidate"); ?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
direct_payment_submit.php
This php file is for
1. storing the transaction information to the database 
2. submitting the required field to the direct payment page-->
<html>
<head>
<title>FirstSpot&reg; | submit</title>
<link rel="stylesheet" href="local.css">
<script type="text/javascript">
function submitForm()
{
	document.payment.submit();
}
</script>
</head>

<?php
//20080706 check only postfields username and item_index now
// ensure require postfields have submitted by cart.php //  

$status_message="";
$ok=true;
// validate received postfields from cart.php
if ( !isset($_POST["username"]) || strcmp ($_POST["username"], "") == 0) {
  $status_message="- <b>username</b>: the FirstSpot user who is going to receive the purchase air time credit.<br>";
  $ok=false;
}
if (!isset($_POST["item_index"]) || strcmp ($_POST["item_index"], "") == 0) {
  $status_message.="- <b>item_index</b>: the item_index for searching the item attributes.<br>";
  $ok=false;
}

if (!$ok) {
  echo '<body>'."\n";
  echo 'These are the minimum fields you have to post to this php file:<p>'."\n";
  echo $status_message;
    // 20080211 - Correct typo
    echo "\n".'</p><p>Auto-redirection is aborted.</p>'."\n";
  if(isset($_SERVER['HTTP_REFERER']))
    echo "<a href=\"{$_SERVER['HTTP_REFERER']}\">Click here to go back</a>\n";
  echo "</body>\n";
  echo "</html>\n";
  die;
}

include_once "transaction.php";

$myTransaction = new transaction();
//20080716 use the get_cart_item_arr function to retrieve the transaction item array(contains the item information)
$item_index=$_POST['item_index'];
$cart_item_arr=$myTransaction->get_cart_item_arr($item_index);
//20080716 show warning if the cart item does not exists
if($cart_item_arr==null){
	echo '<body>'."\n";
	echo 'Shopping Item not find!!'."\n";
	echo '<p>Auto-redirection is aborted.</p>'."\n";
	if(isset($_SERVER['HTTP_REFERER']))
	echo "<a href=\"{$_SERVER['HTTP_REFERER']}\">Click here to go back</a>\n";
	echo "</body>\n";
	echo "</html>\n";
	die;
}


//initialize variable (Get setting from Configuration Manager- User defined payment.)
$settingobj = new COM("FSCONFIG.Cfgmgr") or die("paypal_submit2.php FSCONFIG.Cfgmgr Object cannot be created!");
$return=$settingobj->getKey( "ppal_return", "paypal");
// 20070831 - Correct typo
$cancel_return=$settingobj->getKey( "ppal_cancel_return", "paypal");
$notify_url=$settingobj->getKey( "ppal_notify_url", "paypal");
$currency_code=$settingobj->getKey( "ppal_base_currency", "paypal");  

//destination url (*)
$url_port="5798";

// 20090330 - Check version type for correct gateway domain
if ($settingobj->getKey("show_domain_URL", "gateway") == 0) {
	$url_server = $settingobj->getKey("gateway_IP", "gateway");
} else {
	$versionType = $settingobj->getKey('version', 'version');

	// 20090518 - Remove Start
	if (substr_count(strtolower($versionType), 'standard') > 0) {
		$url_server = 'firstspot.org';
	} else {
		$url_server = $settingobj->getKey("gateway_domain", "gateway");
		if ($url_server == '') {
			$url_server = 'firstspot.org';
		}
	}
}

// 20080725 removed the file name of the url
$url="https://$url_server:$url_port";

//$settingobj->Release();
$settingobj=null;

if ($notify_url{strlen($notify_url)-1} != "/" ){
	$notify_url.='/ppal_ipn.php';
}
else{
	$notify_url.='ppal_ipn.php';
}
  //20080716 postfields from cart.php now contains item_index and username only
  //postfields from cart.php
  //$_POST["username"];
  //$_POST["item_index"];

//default others postfields (*)


$postfields['notify_url'] = $notify_url;
$postfields['return'] = $return."?username=".$_POST["username"];
$postfields['cancel_return'] = $cancel_return."?username=".$_POST["username"];
$postfields['item_name'] = $cart_item_arr['item_name'];
$postfields['amount'] = $cart_item_arr['amount'];
$postfields['currency_code'] = $currency_code;

//20080730 changed the method name from "PayPal Direct Payment" 
//to "PayPal Website Payments Pro Direct Payment"
//define fields need to be updated (*)
$method = "PayPal Website Payments Pro Direct Payment";
$dbfields['item_name'] = $cart_item_arr['item_name'];
$dbfields['amount'] = $cart_item_arr['amount'];
$dbfields['planname'] = $cart_item_arr['plan'];
$dbfields['quantity'] = $cart_item_arr['quantity'];
$dbfields['curr'] = $currency_code;
$dbfields['method'] = $method;

//insert transaction into database
$invoice_no = $myTransaction->insert_transaction($_POST["username"], $dbfields);

//assign invoice number to postfield
$postfields['custom'] = $invoice_no."|".$_POST["username"]."|".$cart_item_arr['plan'];

// 20080206 - Stop submit form if INVOICE is abnormal
if ($invoice_no > 0) {

?>
<body onload="submitForm()">
<?php

    //submit form to payment gateway
    $myTransaction->submit_form($url, $postfields);
} else {
    echo "<body>\n";
    echo "\n".'<p>Transaction failed... Please contact the help desk!</p>'."\n";
    if(isset($_SERVER['HTTP_REFERER'])) {
	echo "<a href=\"{$_SERVER['HTTP_REFERER']}\">Click here to go back</a>\n";
    }
    echo "</body>\n";
    echo "</html>\n";
    die;
}

?>
</body>
</html>
