<?php

require_once 'common_functions.php';
require_once 'fs_lang.php';
require_once 'generate_common.php';

$queryUsername=0; // 1: create thread to queryUserName

if (isset($_GET['imQName']))
	$imQName=$_GET["imQName"]; // The variable is set to be the data sent from the html page, 1: QueryUser immediately

if(!session_id()) {
    session_start();
}else {
	if (!isset($_GET['nft']) || $_GET['nft'] == 0){ // The variable is set to be the data sent from the html page, (Not First Time) running infobox
		//* prevent first time to load infobox, but infobox keep on using an old_session 
		unset($_SESSION['sess_responseState']);
	    unset($_SESSION['sess_infoReload']);
	    unset($_SESSION['sess_userInfoData']);
	}
}
if (!isset($_SESSION['timeleft'])) {
    $_SESSION['timeleft'] = '';
}

if (!isset($_SESSION['max_time'])) {
    $_SESSION['max_time'] = '';
}

$isDisRefresh = 0;

$isFullyInfobox=1; // 0: will have limitation, timeleft format [min], 1: will using Ajax, timeleft format [min + sec]
if (checking_ua($_SERVER['HTTP_USER_AGENT']) == 1){ // contain mobile token on ua
	$isFullyInfobox=0;
}

$isEnableClosedAlert = 1; // 1: click close button (will alert message)

// Special for in-browser Message's infobox

$supportCrossDomainCookie = 1; // 0: not support cross domain cookie (ibmsg infobox use)
$cartEndParm="";

$showAsIBMsgMode=0;

if (isset($_GET['type']) && $_GET['type'] == 1){
	if(isset($_SESSION['sess_patronsoft2'])) {
		// * timeleft format [min], disable auto refresh, disable close btn alert
		$isFullyInfobox=0;
		$isDisRefresh = 1;
		$isEnableClosedAlert = 0;
		$showAsIBMsgMode=1;
	}
	else{
		if (isset($_GET['p2'])){
			$_SESSION['sess_patronsoft2']=$_GET["p2"];	
			$cartEndParm="?nscdc=1&p2=".$_GET["p2"];
		}
		// * timeleft format [min], disable auto refresh, disable close btn alert
		$isFullyInfobox=0;
		$isDisRefresh = 1;
		$isEnableClosedAlert = 0;
		$showAsIBMsgMode=1;
		
		$supportCrossDomainCookie=0;

		$imQName=1; // QueryUser immediately
		$_GET['nft'] = 1;
	}
}
else if (isset($_GET['ibmsg']) && $_GET['ibmsg'] == 1){
	// show as in-browser message's infobox
	// * timeleft format [min], disable auto refresh, disable close btn alert
	$isFullyInfobox=0;
	$isDisRefresh = 1;
	$isEnableClosedAlert = 0;
	$showAsIBMsgMode=1;
}

// 20090617 - Add output buffer
//Get Message
if (file_exists("..\\authserv\\msg.php")) {
	ob_start();
	require_once "..\\authserv\\msg.php";
	ob_end_clean();
}

function getMsg($element)
{
    global $txtmsg;

	// 20090617 - Add decoding process
	if (isset($txtmsg[$element])) {
		return htmlspecialchars_decode($txtmsg[$element]);
	} else {
		return "";
	}
}

function waitfunc($t = 0)
{
    $attempt_limit = 5; // max retry times
    $attempt = isset($_GET['attempt'])? $_GET['attempt']+1 : 0;
    
    if(isset($_SESSION['info_wait_attempt'] ) && $_SESSION['info_wait_attempt'] >0){
    	$_SESSION['info_wait_attempt'] --;
	}
	
    $content = '
<script type="text/javascript">';
    if ($attempt < $attempt_limit) {
	$delay = 5000;
	// Special for first time running 
	if ($attempt == 0 && (!isset($_GET['nft']) || $_GET['nft'] == 0)) {
	    $delay = 500;
	}
	
	$waitEndParm="";
	if ($t == 1){
		$waitEndParm="&ibmsg=1";
	}
	
	$content .= '
    setTimeout("self.location=\'info.php?state=wait&nft=1&attempt='.$attempt.$waitEndParm.'\'", '.$delay.')';
    } else {
	$content .= '
    self.close()';
    }
    $content .= '
</script>';
	
    return $content;
}

$amsg_txtarea=getMsg('announce_msg');
$amsg_id=getMsg('id');
$new_amsg=0;

if (!isset($_SESSION['an_id'])) {
    $_SESSION['an_id'] = $amsg_id;
}

if (!isset($_SESSION['remainMin'])) {
    $_SESSION['remainMin'] = 0;
    setcookie("remainMin", "0");
}

if (!isset($_SESSION['remainclosed'])) {
    $_SESSION['remainclosed'] = 0;
    setcookie("remainclosed", "0");
} else {
    if ( $amsg_id != $_SESSION['an_id'] ){
        $_SESSION['an_id'] = $amsg_id;    
        $new_amsg=1;
    }
}

if ($amsg_txtarea==""){
    $new_amsg=0;
    setcookie("remainclosed", "1");
}

$settingobj = new COM('FSCONFIG.Cfgmgr') or die('info.php FSCONFIG.Cfgmgr Object cannot be created!');

// 20080417 - Add retrieving scratch mode
$print_support = $settingobj->getKey('PrintSupport', 'PrinterOn');
$infobox_refresh_timer = $settingobj->getKey( 'infobox_refresh_timer', 'gateway');
$scratchLogin = $settingobj->getKey('scratch_login', 'gateway');

$session_limit = $settingobj->getKey( 'sessionlimit', 'gateway');

$anon_infobox=0; // 1: It is Anonymous Infobox
if (fs_is_anonymous_mode()){
	// anonymous infobox
	$anon_infobox=1;
}

if( isset($infobox_refresh_timer) ) {
    if( $infobox_refresh_timer == '' && $infobox_refresh_timer < 60000 ) {
        $infobox_refresh_timer = 60000;
    }
}else
    $infobox_refresh_timer = 60000;

// disable auto refresh	
if ($isDisRefresh){
	$infobox_refresh_timer = -1;
}

// 20080418 - Initialize password field for scratch mode
if (isset($scratchLogin) && $scratchLogin == 'on') {
    $password = '';
} else {
    $scratchLogin = 'off';
}

// get the absolute path 
$urlhead=fs_urlhead();

//$settingobj->Release();
$settingobj=null;

// 20080611 - Add new, starting from jsInfoShowUser
// 20080408 - Initialize variables used for template files
$bodyPart = '';
$jsFailUrl = '';
$bGenTable = false;
$input = '';
// Add empty tag which can modify by javascript
$infoExpDate = '<span id="infoExpDate"></span>';
$infoAccessPeriod = '<span id="infoAccessPeriod"></span>';
$infoAccessMin = '<span id="infoAccessMin"></span>';
$infoBwDl = '<span id="infoBwDl"></span>';
$infoBwUl = '<span id="infoBwUl"></span>';
$infoBwSha = '<span id="infoBwSha"></span>';
$infoPrint = '<span id="infoPrint"></span>';
$infoRestrict = '<span id="infoRestrict"></span>';

$infoRemainTime = '';
$infoLink = '';
$jsInfoTimeout = '';
$jsInfoShowUser = '';
$jsInfoSU = '';
$jsInfoQUN = '';
$jsInfoLoading = '';
$infoNonAnon = '';
$jsCookie = '';
$infoFirstLoad = '';

$timeleft_in_sec = -1; // -1: notify javascript not run UpdateTimeLeftClock()

// when first time running
if (!isset($_GET['nft']) || $_GET['nft'] == 0){
	if ($isFullyInfobox){
    $jsInfoShowUser = '
	<script type="text/javascript" src="responsexml.js"></script>
	<script type="text/javascript">setTimeout("showUser()", 100);</script>';
	
	// set max wait retry times, notify infobox in [please wait] state of first time running
    $_SESSION['info_wait_attempt'] = 5; // same value of attempt_limit in waitfunc()
	}
    $jsInfoTimeout = waitfunc($showAsIBMsgMode);

    // 20080612 - Display content for header part only
    $smarty = new SmartyConnect;
    $smarty->assign('L_INFO_CHARSET', metaCharset());
    $smarty->assign('L_INFO_TITLE', get_var('info_title'));
    $smarty->assign('J_INFO_FAIL_URL', $jsFailUrl);
    $smarty->assign('J_INFO_SHOW_USER', $jsInfoShowUser);
    $smarty->assign('J_INFO_TIMEOUT', $jsInfoTimeout);
    $smarty->assign('L_INFO_WAIT', get_var('info_wait'));
    $smarty->assign('L_INFO_IF_NO_RESPONSE', get_var('info_if_no_response'));
    $smarty->assign('L_INFO_IF_NO_RESPONSE_CLICK', get_var('info_if_no_response_click'));
    $smarty->assign('J_COMMON', $j_common);
    $smarty->display('info_head.tpl');
    $smarty->display('info_body_wait.tpl');

    exit();
}

// create a COM object
$myobj = new COM('FSAUTH.Authserv') or die('info.php FSAUTH.Authserv object cannot be created!');

// call the 'QueryUser' method of this object, passes in the mac session parameters

// initializes result
$rsult = '';
$restricted_account = false;

// ip or mac session exists
if(isset($_SESSION['sess_patronsoft2'])) {
	
	if ($isFullyInfobox && isset($_SESSION['session_username']) && $_SESSION['session_username'] != '' && (!isset($imQName) || $imQName != 1)){
	    $queryUsername = 1;
	    $rsult = $_SESSION['session_username'];
    }else{
	     $rsult= $myobj->QueryUser($_SESSION['sess_patronsoft2']);

		// 20090327 - Do not insert DB error
		// 20071102 - Check rsult before updating session variable
		if (strcmp($rsult, "") != 0 && $rsult != 'DB NOT FOUND' && $rsult != 'DB EXEC FAIL') {
			$_SESSION['session_username'] = $rsult;
		}
    }
    
} else {  // session does not exist or deleted
    // 20080418 - Add scratch mode password handling
    if (isset($username) && $username != '' && isset($password) && (($scratchLogin == 'off' && $password != '') || $scratchLogin == 'on')) {
        $mac='';
        $mac=$myobj->QueryMac($username, $password);
        if ($mac == 'FAIL' ) {  //invalid username or password
            $input = '<span class="failloginspan">'.get_var('info_fail').'</span><br>';
            $bGenTable = true;
        } else if ($mac == 'NOT_LOGGED') {    //user has not logged in
            $input = '<span class="failloginspan">'.get_var('info_not_logged') . '</span><br>';
            $bGenTable = true;
        } else if ($mac == 'LOGGED_IN_OTHER') {    //user has logged in from other server
            $input = '<span class="failloginspan">'.get_var('info_logged_in_from_other') . '</span><br>';
            $bGenTable = true;
        } else {  //actual mac or ip address return
            $_SESSION['session_username'] = $username;

            //flip ip address and convert it into long format
            $_SESSION['sess_patronsoft1'] = ip2long(join('.', array_reverse( explode('.', $_SERVER['REMOTE_ADDR']) ) ));

            $_SESSION['sess_patronsoft2'] = $mac;

            $rsult=$myobj->QueryUser($_SESSION['sess_patronsoft2']);
        }
    } else {
        // we cannot query through DLL, which leads to an unknown state
        $rsult='noMACorIP';
    }
}

// unknown state
if($rsult=='noMACorIP') {
    $bodyPart = 'info_body_unknown.tpl';
} else if($rsult=='DB NOT FOUND' or $rsult=='DB EXEC FAIL') {
    $bodyPart = 'info_body_db_err.tpl';
} else if ($bGenTable == false) {
    $settingobj = new COM('FSCONFIG.Cfgmgr') or die('info.php FSCONFIG.Cfgmgr Object cannot be created!');
    $reminderOn = $settingobj->getKey('time_reminder', 'misc');
    $remindMin = $settingobj->getKey('remindMin', 'misc');
    $settingobj = null;

    $expiryDate = '';
    $recur_option = '';

    if (!isset($_SESSION['sess_responseState']) || $_SESSION['sess_responseState'] == 0) {
		$_SESSION['sess_responseState'] = 0;
		$_SESSION['sess_infoReload'] = 1;
		
		if ($isFullyInfobox){
			$jsInfoShowUser = '
		<script type="text/javascript" src="responsexml.js"></script>
		<script type="text/javascript">setTimeout("showUser()", 100);</script>';
		}
    }
    
    // similar <Create user data string part> in responseUserInfo.php
	if(!$isFullyInfobox){
		
		$settingobj = new COM('FSCONFIG.Cfgmgr') or die('info.php FSCONFIG.Cfgmgr Object cannot be created!');
		
		$use_radius = $settingobj->getKey( 'use_radius', 'radius');
		
		$reminderOn = $settingobj->getKey( 'time_reminder', 'misc');
		$remindMin = $settingobj->getKey( 'remindMin', 'misc');
		
		$global_bwcount_dl = $settingobj->getKey("bwcount_dl", "DataTransfer");
		$global_bwquota_dl = $settingobj->getKey("bwquota_dl", "DataTransfer");
		$global_bwcount_ul = $settingobj->getKey("bwcount_ul", "DataTransfer");
		$global_bwquota_ul = $settingobj->getKey("bwquota_ul", "DataTransfer");
		
		$patronsoft2=$_SESSION['sess_patronsoft2'];
		
		$anon_infobox=0; // 1: It is Anonymous Infobox
		if (fs_is_anonymous_mode()){
			// anonymous infobox use
			$anon_infobox=1;
		}
		
		//PHP opens a connection to Database
		if( strtolower($use_radius)== 'true' ) {
		    // connect to database
		    $dsn_file = $settingobj->getKey( 'Datasource', 'radius');
		    $dsn_source = fopen($dsn_file, 'r') or die('Cannot open DSN source file!');  
		    $dsn='';
		
		    if(!feof($dsn_source)) 
		        $line=fgets($dsn_source,512); 
		
		    while(!feof($dsn_source)) {
		        $line=fgets($dsn_source,512);
		        if (trim($line)!='') $dsn=$dsn.$line;
		    }
		
		    $dsn=str_replace("\r\n",";",$dsn);
		    $userDB=odbc_connect($dsn,"","");
		    $firstspotusertable=$settingobj->getKey( 'Datasource_Tablename', 'radius');
		} else {
		    // connect to database
		    $dsn_file = $settingobj->getKey( 'Datasource', 'gateway');
		    $dsn_source = fopen($dsn_file, 'r') or die('Cannot open DSN source file!');  
		    $dsn='';
		
		    if(!feof($dsn_source)) 
		        $line=fgets($dsn_source,512); 
		
		    while(!feof($dsn_source)) {
		        $line=fgets($dsn_source,512);
		        if (trim($line)!='') $dsn=$dsn.$line;
		    }
		
		    $dsn=str_replace("\r\n",";",$dsn);
		    $userDB=odbc_connect($dsn,'','');
		    $firstspotusertable=$settingobj->getKey( 'Datasource_Tablename', 'gateway');
		}
		//$settingobj->Release();
		$settingobj=null;
		
		$query="SELECT * FROM $firstspotusertable WHERE RESERVED1='".$patronsoft2."';";
		
		$result=odbc_exec($userDB,$query);
		
		$name = odbc_result($result, 'name');
		
		if ($name!=''){
			// FOUND
			$responseState = 1;
		}else{
			// disconnect state
			$responseState = 2;
		}
		
		if ($name==''){
			$_SESSION['sess_responseState'] = $responseState;
		}
		else {
		// initializes result
		$bwleft='';
		$restricted_account=false;
		$bwleftUL = '';
		$bwleftSHA = '';
		
		// some col not in temp radius table include resetopt, reserved4, roption, rsdate
		if (strtolower($use_radius)== 'true'){
		    $reminderOn = 0;
		    $logintime=odbc_result($result,'reserved2');
		    $xmlContent.="<logintime>" . $logintime . "</logintime>";
		    $recur_option = 0;
		    $recur_stime = 0;
		    $recur_etime = 0;
		}else {
		    $resetopt = odbc_result($result, 'resetopt');
		    if($resetopt ==1) 
		    	$reminderOn = 0;
		    	
		    	$logintime=odbc_result($result,'reserved2');
				$logintime=( $logintime < odbc_result($result,'reserved4')? odbc_result($result,'reserved4') : $logintime ); 
				
			    //recur_option
			    $recur_option = odbc_result($result, 'roption');
			    $recur_stime = odbc_result($result, 'rsdate');
			    $recur_etime = odbc_result($result, 'redate');
		}
		
		// $name = odbc_result($result, 'name');
		if ($anon_infobox){
			    //using Maximum time limit per session instead
			    $timeleft=$session_limit;
		} else
			$timeleft=odbc_result($result,'timeleft');
			
		//* timeleft: will modify by info.php (remain timeleft), max_time: same as database timeleft field orginal value (max time)
		$_SESSION['timeleft'] = $timeleft;
		$_SESSION['max_time'] = $timeleft;
		$expiryDate = odbc_result($result,'edate');
		
		$bwcount=odbc_result($result,'bwcount');
		$bwcountUL=odbc_result($result,'bwcountUL');
		$bwcountSHA=odbc_result($result,'bwcountSHA');
		$bwleftAll = '';
		
		// 20080617 - Separate checking of download and upload cases
		if (strlen($bwcount) == 0 || $bwcount == -1) {
		    $bwcount = $global_bwcount_dl;
		    if ($bwcount == 2) {
			$quotaGlobal = $global_bwquota_dl;
		    }
		}
		if (strlen($bwcountUL) == 0 || $bwcountUL == -1) {
		    $bwcountUL = $global_bwcount_ul;
		    if ($bwcountUL == 2) {
			$quotaULGlobal = $global_bwquota_ul;
		    }
		}
		
		if ($bwcount==2 || $bwcountUL==2 || $bwcountSHA==2) {
		    // create a COM object
			$myobj = new COM('FSAUTH.Authserv') or die('info.php FSAUTH.Authserv object cannot be created!');
		    $bwleftAll=$myobj->QueryBW($patronsoft2);
		    $myobj=null;
		    
			list($bwleft, $bwleftUL, $bwleftSHA) = explode(",", $bwleftAll);
		    settype($bwleft, "integer");
		    settype($bwleftUL, "integer");
			settype($bwleftSHA, "integer");
		}
		if($bwcount==2) {
		    $accumbw=odbc_result($result,'accumbw');
		    if(isset($quotaGlobal))
		    	$quota = $quotaGlobal;
		    else{
		    	$quota=odbc_result($result,'bwquota');
			}
		    $bwleft = $quota - $bwleft - $accumbw;
		}
		if($bwcountUL==2) {
		    $accumbwUL=odbc_result($result,'accumbwUL');
		    if(isset($quotaULGlobal))
		    	$quotaUL = $quotaULGlobal;
		    else{
		    	$quotaUL=odbc_result($result,'bwquotaUL');
			}
		    $bwleftUL = $quotaUL - $bwleftUL - $accumbwUL;
		}
		
		if($bwcountSHA==2) {
		    $accumbwSHA=odbc_result($result,'accumbwSHA');
		    $quotaSHA=odbc_result($result,'bwquotaSHA');
		    $bwleftSHA = $quotaSHA - $bwleftSHA - $accumbwSHA;
		}
		
		$printQuota = odbc_result($result, 'pagenum');
		
		//* MACasUsrfiled not in radius temp table
		if (strtolower($use_radius) != 'true'){
			$MACasUsr = odbc_result($result,'MACasUsr');

			// For Passive Login not display change password link
			if ($MACasUsr == 'Y' && odbc_result($result,'pwd') == ''){
				// Passive login 
				$_SESSION['show_change_password_link'] = '0';
			}else
				$_SESSION['show_change_password_link'] = '1';
		}
		
		odbc_free_result( $result );
		odbc_close( $userDB );
		
		// Create user data string part (using data to create message string in info.php)
		$userInfoData= "";
		
		$userInfoData.="expiryDate=".$expiryDate.",";
		$userInfoData.="recur_option=".$recur_option.",";
		$userInfoData.="recur_stime=".$recur_stime.",";
		$userInfoData.="recur_etime=".$recur_etime.",";
		$userInfoData.="logintime=".$logintime.",";
		$userInfoData.="bwcount=".$bwcount.",";
		$userInfoData.="bwleft=".$bwleft.",";
		$userInfoData.="bwcountUL=".$bwcountUL.",";
		$userInfoData.="bwleftUL=".$bwleftUL.",";
		$userInfoData.="bwcountSHA=".$bwcountSHA.",";
		$userInfoData.="bwleftSHA=".$bwleftSHA.",";
		$userInfoData.="printQuota=".$printQuota.",";
		
		$_SESSION['sess_userInfoData'] = $userInfoData;
		}	
	}
    
    if( (strcmp($rsult, "") != 0 && (!isset($_SESSION['sess_responseState']) || ($_SESSION['sess_responseState'] != 4))) || (isset($_SESSION['sess_responseState']) && ($_SESSION['sess_responseState'] == 1 || $_SESSION['sess_responseState'] == 3))) {
	    
	if(!isset($_SESSION['sess_infoReload']) || $_SESSION['sess_infoReload'] == 1)
	    $_SESSION['sess_infoReload']=0;
	    
	$bodyPart = 'info_body_normal.tpl';
	
	if ($isFullyInfobox){
	    $jsInfoSU = "setTimeout('showUser()',100);";
		if ($queryUsername == 1) {
		    $jsInfoQUN = "setTimeout('queryUserName()',100);";
		}
	}
	
	if ($isFullyInfobox){
		    $jsInfoLoading = '
	    <script type="text/javascript">
	        var glo_Message = new Object();
	        glo_Message.info_loading = "'.get_var('info_loading').'";
	        callInfoLoadingBox(true); //show loading box
	    </script>';
	}
	
	// 20080613 - Tokenize the string for separate display if exist
	if (isset($_SESSION['sess_userInfoData']) && $_SESSION['sess_userInfoData'] != "") {
	    $infoFirstLoad = $_SESSION['sess_userInfoData']; 
	    $userRestrictArray = explode(',', $infoFirstLoad);
	    $infoFirstLoad = '';
	    for ($i = 0; $i < count($userRestrictArray); $i++) {
		$userRestrictArray[$i] = explode('=', $userRestrictArray[$i]);
		if (isset($userRestrictArray[$i])) {
		switch ($userRestrictArray[$i][0]) {
		    case 'expiryDate':
			$expiryDate = $userRestrictArray[$i][1];
			break;
		    case 'recur_option':
			$recur_option = $userRestrictArray[$i][1];
			break;
		    case 'recur_stime':
			$recur_stime = $userRestrictArray[$i][1];
			break;
		    case 'recur_etime':
			$recur_etime = $userRestrictArray[$i][1];
			break;
		    case 'logintime':
			$logintime = $userRestrictArray[$i][1];
			break;
		    case 'bwcount':
			$bwcount = $userRestrictArray[$i][1];
			break;
		    case 'bwleft':
			$bwleft = $userRestrictArray[$i][1];
			break;
		    case 'bwcountUL':
			$bwcountUL = $userRestrictArray[$i][1];
			break;
		    case 'bwleftUL':
			$bwleftUL = $userRestrictArray[$i][1];
			break;
		    case 'bwcountSHA':
			$bwcountSHA = $userRestrictArray[$i][1];
			break;
		    case 'bwleftSHA':
			$bwleftSHA = $userRestrictArray[$i][1];
			break;
		    case 'printQuota':
			$printQuota = $userRestrictArray[$i][1];
			break;
		    default:
		    }
		}
	    }

	    // Expiry date
	    if (isset($expiryDate) && $expiryDate != '') {
		list($date, $time) = datetime_from_mysql2($expiryDate);
		$infoExpDate = '<span id="infoExpDate">'.get_var('info_expiry_date')."$date $time<br></span>";
	    }

	    // Recurring option
	    if (isset($recur_option) && $recur_option == 1 && isset($recur_stime) && isset($recur_etime)) {
		$infoAccessPeriod = '<span id="infoAccessPeriod">'.get_var('info_access_period')."$recur_stime - $recur_etime<br></span>";
	    }

	    // timeleft is an empty string only if unlimited timeleft condition is specified
	    // (Infobox will not pop up after user has been logged out)
	    if (isset($_SESSION['timeleft']) && ((strlen($_SESSION['timeleft']) > 0 && $_SESSION['timeleft'] >= -1 && isset($logintime) && $logintime != '' ))) {
		// calculate escaped time (current time-login time)
		$diff = time() - $logintime;
		$diffInSec = $diff; // use time (in second)
		$diff = $diff / 60;

		// timeleft (allowed time limit-escaped time)
	    $_SESSION['timeleft'] = floor($_SESSION['max_time'] - $diff);
				
		if ($_SESSION['timeleft'] < 0) {
		    $_SESSION['timeleft'] = -1;
		}
			
		$zeroStr='';
		
		if ($_SESSION['timeleft'] > 0) {
			// display timeleft in Min
// 		    $infoAccessMin = get_var('info_access_min_remain').' : '.floor($_SESSION['timeleft']).' '. get_var('Min').'<br>';
		    // display timeleft in Min +Sec (client sdie)
		    $timeleft_in_sec = $_SESSION['max_time'] *60 - $diffInSec;
		    if ($timeleft_in_sec >0){ // prevent -ve value
	    		$display_Sec = 60 - ($diffInSec%60);
	    		if ($display_Sec < 10)
	    			$zeroStr='0';
	    		
	    		$display_Min = (($_SESSION['max_time'] *60 - $diffInSec) - $display_Sec) / 60;
			}else{
				$display_Sec = '00';
	    		$display_Min = 0;
			}
			
			if ($isFullyInfobox){				
				if ($anon_infobox){
					$infoAccessMin = '<span id="infoAccessMin">'.get_var('anon_info_access_min_remain').' : <span id="display_Min">'.$display_Min.'</span>'. get_var('Min').'&nbsp;<span id="display_Sec">'.$zeroStr.$display_Sec."</span>". get_var('Sec')."<br></span>";
				}
				else{
					$infoAccessMin = '<span id="infoAccessMin">'.get_var('info_access_min_remain').' : <span id="display_Min">'.$display_Min.'</span>'. get_var('Min').'&nbsp;<span id="display_Sec">'.$zeroStr.$display_Sec."</span>". get_var('Sec')."<br></span>";
				}
			}else{
				if ($anon_infobox){
					$infoAccessMin = '<span id="infoAccessMin">'.get_var('anon_info_access_min_remain').' : <span id="display_Min">'.$display_Min.'</span>'. get_var('Min')."<br></span>";
				}
				else{
					$infoAccessMin = '<span id="infoAccessMin">'.get_var('info_access_min_remain').' : <span id="display_Min">'.$display_Min.'</span>'. get_var('Min')."<br></span>";
				}
				$timeleft_in_sec = -1 ; // disable 
			}
			
		} else if ($_SESSION['timeleft'] == 0) {
			// display timeleft in Min
// 		    $infoAccessMin = get_var('info_access_min_remain').' : '.get_var('last_than_one_min').'<br>';
		    // display timeleft in Min +Sec (client sdie)
    		$timeleft_in_sec = $_SESSION['max_time'] *60 - $diffInSec;
    		if ($timeleft_in_sec >0){ // prevent -ve value
	    		$display_Sec = 60 - ($diffInSec%60);
	    		if ($display_Sec < 10)
	    			$zeroStr='0';
	    		$display_Min = (($_SESSION['max_time'] *60 - $diffInSec) - $display_Sec) / 60;
			}else{
				$display_Sec = '00';
	    		$display_Min = 0;
			}
			
			if($isFullyInfobox){
				if ($anon_infobox){
					$infoAccessMin = '<span id="infoAccessMin">'.get_var('anon_info_access_min_remain').' : <span id="display_Min">'.$display_Min.'</span>'. get_var('Min').'&nbsp;<span id="display_Sec">'.$zeroStr.$display_Sec."</span>". get_var('Sec')."<br></span>";
				}
				else{
					$infoAccessMin = '<span id="infoAccessMin">'.get_var('info_access_min_remain').' : <span id="display_Min">'.$display_Min.'</span>'. get_var('Min').'&nbsp;<span id="display_Sec">'.$zeroStr.$display_Sec."</span>". get_var('Sec')."<br></span>";
				}
			}else{
				if ($anon_infobox){
					$infoAccessMin = '<span id="infoAccessMin">'.get_var('anon_info_access_min_remain').' : '.get_var('last_than_one_min')."<br></span>";
				}
				else{
					$infoAccessMin = '<span id="infoAccessMin">'.get_var('info_access_min_remain').' : '.get_var('last_than_one_min')."<br></span>";
				}
				$timeleft_in_sec = -1 ; // disable 
			}
			
		} else {
		    $restricted_account = true;
		}
	    } else {
			if ($anon_infobox)
				$infoAccessMin = '<span id="infoAccessMin">'.get_var('anon_info_access_min_remain').' : '.get_var('Unlimited').'<br></span>';
			else
				$infoAccessMin = '<span id="infoAccessMin">'.get_var('info_access_min_remain').' : '.get_var('Unlimited').'<br></span>';
	    }

	    // Download data transfer settings
	    if ($bwcount == 2) {
		if ($bwleft < 0) {
		    $restricted_account = true;
		} else {
		    if ($bwleft < 1024) {
			$infoBwDl = '<span id="infoBwDl">'.get_var('info_bandwidth_usage_left').$bwleft.'KB<br></span>';
		    } else if ($bwleft < 1048576) {
			$infoBwDl = '<span id="infoBwDl">'.get_var('info_bandwidth_usage_left').round($bwleft/1024, 2).'MB<br></span>';
		    } else {
			$infoBwDl = '<span id="infoBwDl">'.get_var('info_bandwidth_usage_left').round($bwleft/1048576, 2).'GB<br></span>';
		    }
		}
	    }

	    // Upload data transfer settings
	    if ($bwcountUL == 2) {
		if ($bwleftUL < 0) {
		    $restricted_account = true;
		} else {
		    if ($bwleftUL < 1024) {
			$infoBwUl = '<span id="infoBwUl">'.get_var('info_bandwidth_usage_left_UL').$bwleftUL.'KB<br></span>';
		    } else if ($bwleftUL < 1048576) {
			$infoBwUl = '<span id="infoBwUl">'.get_var('info_bandwidth_usage_left_UL').round($bwleftUL/1024, 2).'MB<br></span>';
		    } else {
			$infoBwUl = '<span id="infoBwUl">'.get_var('info_bandwidth_usage_left_UL').round($bwleftUL/1048576, 2).'GB<br></span>';
		    }
		}
	    }
			
	    // Total data transfer settings
	    if ($bwcountSHA == 2) {
		if ($bwleftSHA < 0) {
		    $restricted_account = true;
		} else {
		    if ($bwleftSHA < 1024) {
			$infoBwSha = '<span id="infoBwSha">'.get_var('info_bandwidth_usage_left_SHA').$bwleftSHA.'KB<br></span>';
		    } else if ($bwleftSHA < 1048576) {
			$infoBwSha = '<span id="infoBwSha">'.get_var('info_bandwidth_usage_left_SHA').round($bwleftSHA/1024, 2).'MB<br></span>';
		    } else {
			$infoBwSha = '<span id="infoBwSha">'.get_var('info_bandwidth_usage_left_SHA').round($bwleftSHA/1048576, 2).'GB<br></span>';
		    }
		}
	    }

	    if ($print_support != 0) { //show print quota
		if ($printQuota) {
		    $infoPrint = '<span id="infoPrint">'.get_var('info_print_quota').round($printQuota).get_var('info_print_quota_unit').'<br></span>';
		} else {
		    $infoPrint = '<span id="infoPrint">'.get_var('info_print_quota').'Unlimited<br></span>';
		}
	    }

	    //limited account
	    if ($restricted_account) {
		$infoRestrict = '<span id="infoRestrict">'.get_var('restricted_account').'<br></span>';
	    }
	} else {
	    // 20090306 - Add non-breaking spaces if lang variable is not blank
	    $infoFirstLoadingMsg = get_var('info_first_loading_msg');
	    $infoFirstLoad = '<span class="firstLoadingText" id="infoFirstLoad">';
	    if (isset($infoFirstLoadingMsg) && $infoFirstLoadingMsg != '') {
		$infoFirstLoad .= "&nbsp;$infoFirstLoadingMsg&nbsp;&nbsp;";
	    }
	    $infoFirstLoad .= '</span>';
	}
	
	//* Fully Infobox will reminder after receive request 
	if(!$isFullyInfobox){
		// 20080617 - Reminder, minor fix to show the reminder correctly for the nearest deadline
		if ($reminderOn == 1) {			
			$userArray = array();
			if (isset($expiryDate))
				$userArray['expiryDate']=$expiryDate;
			if (isset($recur_option))
				$userArray['recur_option']=$recur_option;
			if (isset($recur_stime))
				$userArray['recur_stime']=$recur_stime;
			if (isset($recur_etime))
				$userArray['recur_etime']=$recur_etime;
			if (isset($logintime))
				$userArray['logintime']=$logintime;
			if (isset($session_limit))
				$userArray['session_limit']=$session_limit;
			if (isset($_SESSION['timeleft']) && strlen($_SESSION['timeleft']) > 0 && $_SESSION['timeleft'] >= 0)
				$userArray['max_time']=$_SESSION['max_time'];
			
			$remainTimeSec = cal_timeleft_reminder($userArray);
			
			if ($remainTimeSec != -1){
				$remainTime = floor($remainTimeSec/60);
				if ($remainTime <= $remindMin ){
					$infoRemainTime = '
						<script type="text/javascript">
						showAd('.floor($remainTime).', '.$remindMin.')
						</script>';
				}
			}
		}
	}

	if (!$anon_infobox){
	
		if ($supportCrossDomainCookie == 0){
			$infoNonAnon = '
				<input type="hidden" name="nscdc" value="1">
				<input type="hidden" name="p2" value="'.$_SESSION['sess_patronsoft2'].'">
			';
		}
	
	    $infoNonAnon .= '
		    <table width="100%" cellpadding="0" cellspacing="0">
			<tr>
			    <td width="50%" valign="middle">';
	    if ($scratchLogin == 'off' && (!isset($_SESSION['show_change_password_link']) || $_SESSION['show_change_password_link'] == '1')) {
		$infoNonAnon .= '
				'.change_password_link();
	    }
	    $infoNonAnon .= '
				'.shopping_cart_link($cartEndParm).'
				'.print_support_link('infobox').'
			    </td>
			    <td width="50%" align="center" valign="top">
				<input class="graphicBtn" border="0" name="Logout" value="'.get_var('info_logout_btn').'" type="submit" onclick="logout()"><br>
			    </td>
			</tr>
		    </table>
		    <div>
			<span class="closeText">'.get_var('info_if_close').'
			    <span class="closeBlueText">'.get_var('info_logout').'</span>
			    '.get_var('info_in_browser').'
			</span>
		    </div>';
	}else {
		// anonymous iinfobox
		
		if ($supportCrossDomainCookie == 0){
			$infoNonAnon = '
				<input type="hidden" name="nscdc" value="1">
				<input type="hidden" name="p2" value="'.$_SESSION['sess_patronsoft2'].'">
			';
		}
		
		$infoNonAnon .= '
		    <table width="100%" cellpadding="0" cellspacing="0">
			<tr>
			    <td width="50%" valign="middle">';
	    $infoNonAnon .= '
				'.print_support_link('infobox').'
			    </td>
			    <td width="50%" align="center" valign="top">
				<input class="graphicBtn" border="0" name="Logout" value="'.get_var('info_logout_btn').'" type="submit" onclick="logout()"><br>
			    </td>
			</tr>
		    </table>
		    <div>
			<span class="closeText">'.get_var('info_if_close').'
			    <span class="closeBlueText">'.get_var('info_logout').'</span>
			    '.get_var('info_in_browser').'
			</span>
		    </div>';
	}
    } else {        
	if(isset($_GET['state']) && $_GET['state']=='wait' && 
		( !isset($_SESSION['sess_responseState']) || $_SESSION['sess_responseState'] != 2)) {
    		
		if ($_SESSION['sess_responseState'] == 4){
			if ($isFullyInfobox){
    			$jsInfoShowUser = '
    		<script type="text/javascript" src="responsexml.js"></script>
    		<script type="text/javascript">setTimeout("showUser()", 100);</script>';
    		}
		}
    		
	    $jsInfoTimeout = waitfunc();
	    $bodyPart = 'info_body_wait.tpl';
	} else if (isset($_SESSION['sess_responseState']) && $_SESSION['sess_responseState'] == 0){
	    $jsInfoTimeout = waitfunc();
	    $bodyPart = 'info_body_wait.tpl';
	} else {
	    // 20071107 - Unregister session_username to trigger cookies warning page
	    unset($_SESSION['session_username']);

	    unset($_SESSION['sess_responseState']);
	    unset($_SESSION['sess_infoReload']);
	    unset($_SESSION['sess_userInfoData']);
	    
	    if(!$anon_infobox){
			$infoLink = '
			    '.shopping_cart_link().'
			    '.print_support_link('infobox');
			if ($scratchLogin == 'off' && (!isset($_SESSION['show_change_password_link']) || $_SESSION['show_change_password_link'] == '1')) {
			    $infoLink = '
			    '.change_password_link().$infoLink;
			}
	    }
		$bodyPart = 'info_body_disconnect.tpl';
	}
    }
} // end authenticated

//free the object
$myobj=null;

//20080827	changed the title (L_INFO_TITLE)
// 20080408 - Collect dynamic HTML content for layout, move layout content and include the file here
if ($bGenTable) {
    GenTable($jsFailUrl, $input, '');
} else {
    $smarty = new SmartyConnect;
    $smarty->assign('L_INFO_CHARSET', metaCharset());
    $smarty->assign('L_INFO_TITLE', get_var('info_title'));
    $smarty->assign('J_INFO_FAIL_URL', $jsFailUrl);
    $smarty->assign('L_INFO_DISCONNECT_BIG', get_var('Disconnected'));
    $smarty->assign('L_INFO_DISCONNECT_SMALL', 'FirstSpot '.get_var('info_please_login_again'));
    $smarty->assign('INFO_ALERT', get_var('alert'));
    $smarty->assign('J_INFO_SELF', $_SERVER['PHP_SELF'].'?nft=1');
    $smarty->assign('J_INFO_TIMER', $infobox_refresh_timer);
    $smarty->assign('L_INFO_DB_ERR', get_var('info_database_unavailable'));
    $smarty->assign('L_INFO_NEW_AMSG', $new_amsg);
    $smarty->assign('L_INFO_ANNOUNCE_TITLE', getMsg("announce_title"));
    $smarty->assign('L_INFO_TEXT_AREA', $amsg_txtarea);
    $smarty->assign('INFO_URLHEAD', $urlhead);
    $smarty->assign('L_INFO_REMINDER_MSG', get_var('reminder_msg'));
    $smarty->assign('L_INFO_EXPIRY_DATE', $infoExpDate);
    $smarty->assign('L_INFO_ACCESS_PERIOD', $infoAccessPeriod);
    $smarty->assign('L_INFO_ACCESS_MIN', $infoAccessMin);
    $smarty->assign('L_INFO_BWDL', $infoBwDl);
    $smarty->assign('L_INFO_BWUL', $infoBwUl);
    $smarty->assign('L_INFO_BWSHA', $infoBwSha);
    $smarty->assign('L_INFO_PRINT', $infoPrint);
    $smarty->assign('L_INFO_RESTRICT', $infoRestrict);
    $smarty->assign('L_INFO_REMAIN_TIME', $infoRemainTime);
    $smarty->assign('L_INFO_THANK', get_var('info_thank_you'));
    $smarty->assign('J_INFO_TIMEOUT', $jsInfoTimeout);
    $smarty->assign('L_INFO_WAIT', get_var('info_wait'));
    $smarty->assign('L_INFO_IF_NO_RESPONSE', get_var('info_if_no_response'));
    $smarty->assign('L_INFO_IF_NO_RESPONSE_CLICK', get_var('info_if_no_response_click'));
	$smarty->assign('INFO_ISENABLE_CLOSED_ALERT', $isEnableClosedAlert);
    // 20080612 - New items added
    $smarty->assign('J_INFO_SU', $jsInfoSU);
    $smarty->assign('J_INFO_QUN', $jsInfoQUN);
    $smarty->assign('J_INFO_LOADING', $jsInfoLoading);
    $smarty->assign('L_INFO_NON_ANON', $infoNonAnon);
    $smarty->assign('J_INFO_SHOW_USER', $jsInfoShowUser);
    $smarty->assign('L_INFO_FIRST_LOAD', $infoFirstLoad);
    // New for display Second in client side
    $smarty->assign('J_INFO_TIMELEFT_IN_SEC', $timeleft_in_sec);
    $smarty->assign('J_COMMON', $j_common);

    $smarty->display('info_head.tpl');
    $smarty->display($bodyPart);
}

?>

