<?php
require_once 'secureLogin.php'; //prevent hacker run this script by setting GET variables
?>
<html>
<head>
<title>IP address table</title>
<style type="text/css">
<!--
    ul { font-family: Tahoma, sans-serif; font-size: 10pt; }
    img { margin-right: 5px; border: 0; }
    .odd { background: #F0F0F0; }
    .even { background: #FFF; }
    .checked { background: #BAEAD6; }
    #display { color: #000; list-style: none; margin: 0px; padding: 0; }
    #add { color: #096; list-style: none; margin: 0px; padding: 0; border-top: 1px solid green; }
    #display li, #add li { padding-left: 5px; }
    #display span, #add span { width: 350px; float:left; }
    form { margin: 0}
-->
</style>
</head>
<body>

<?php

include 'display_list.php';

// register sessions, if needed
if(!isset($num_pass_thru_ip)) {
    $num_pass_thru_ip = '';
    session_register('num_pass_thru_ip');
}

if(!isset($pass_thru_ip)) {
    $pass_thru_ip = '';
    session_register('pass_thru_ip');
}

if (!isset($ser_display_ip)||($ser_display_ip=='')) {
    $settingobj = new COM('FSCONFIG.Cfgmgr') or die('table_ip.php FSCONFIG.Cfgmgr Object cannot be created!');
    $num_pass_thru_ip = $settingobj->getkey('num_ip_addr', 'Client Pass');

    $tmp_num = '0'.trim($num_pass_thru_ip);
    $num = (int)$tmp_num;

    $display_ip= new Site_Array;
    $i=0;
    while ($i<$num) {
        $pass_thru_ip[$i] = $settingobj->getkey("ip_$i", 'Client Pass');
        $strarray=trim($pass_thru_ip[$i]);
        $display_ip->add_site('','','false',FALSE,'');
        $display_ip->site_list[$i]->span=$strarray;
        $i++;
    }
    //$settingobj->Release();
    $settingobj=null;

    $ser_display_ip = serialize($display_ip);
    session_register('ser_display_ip');
}

if (!isset($ser_add_ip)) {
    $add_ip = new Site_Array;
    $ser_add_ip = serialize($add_ip);
    session_register('ser_add_ip');
}

// unserialize data
if (isset($ser_display_ip)) {
    $display_ip=unserialize($ser_display_ip);
}
if (isset($ser_add_ip)) {
    $add_ip=unserialize($ser_add_ip);
}


if ($display_ip->num_sites > 0) {
    echo '<ul id="display">';

    $i = 0;
    $class = '';

    while ($i < $display_ip->num_sites) {
        if ($display_ip->site_list[$i]->span != ';') {
            $class = ($class == 'odd')? 'even': 'odd';
            if ($display_ip->site_list[$i]->checked == 'true') {
                $checked = 'checked';
                $class = 'checked';
            } else {
                $checked = '';
            }
            echo '
    <li class="'.$class.'">
        <span><img src="./images/smallbubble.gif">'.$display_ip->site_list[$i]->span.'</span>
        <input type="checkbox" onclick="document.combo.item_client_pass_ip.value=\'dis'.$i.'\'; document.combo.submit();"'.$checked.'>
    </li>';
        }
        $i++;
    }

    echo "\n</ul>\n";
}

if ($add_ip->num_sites > 0) {
    echo '<ul id="add">';

    $i = 0;
    $class = '';

    while ($i < $add_ip->num_sites) {
        if ($add_ip->site_list[$i]->span != ';') {
            $class = ($class == 'odd')? 'even': 'odd';
            if ($add_ip->site_list[$i]->checked == 'true') {
                $checked = 'checked';
                $class = 'checked';
            } else {
                $checked = '';
            }
            echo '
    <li class="'.$class.'">
        <span><img src="./images/smallbubble.gif">'.$add_ip->site_list[$i]->span.'</span>
        <input type="checkbox" onclick="document.combo.item_client_pass_ip.value=\'add'.$i.'\'; document.combo.submit();"'.$checked.'>
    </li>';
        }
        $i++;
    }

    echo "\n</ul>\n";
}

?>

<form name="combo" action="intermediate.php" method="post">
    <input type="hidden" name="item_client_pass_ip" value="">
</form>

</body>
</html>

