<?php
require_once 'secureLogin.php'; //prevent hacker run this script by setting GET variables
?>
<html>
<head>
<title>QOS table</title>
<style type="text/css">
<!--
    table { font-family: Tahoma, sans-serif; font-size: 10pt; }
    .odd { background: #F0F0F0; }
    .even { background: #FFF; }
    .checked { background: #BAEAD6; }
    #display { border-collapse: collapse; color: #000;}
    #add { border-top: 1px solid #99D1A2; border-collapse: collapse ; color: #096; }
    form { margin: 0;}
-->
</style>
</head>
<body>
<?php

require_once 'display_list.php';

// register sessions, if needed
if (!isset($ser_display_qos)||($ser_display_qos==''))
{
    $settingobj = new COM('FSCONFIG.Cfgmgr') or die('table_qos.php FSCONFIG.Cfgmgr Object cannot be created!');

    $num_qos = $settingobj->getKey( 'qos_num', 'QOS');

    $tmp_num = '0'.trim($num_qos);
    $num = (int)$tmp_num;

    $display_qos= new Site_Array;

    $i = 0;
    while ($i < $num) {
        $qosEntry[$i] = $settingobj->getKey( "qos_$i", 'QOS');
        $strarray = trim($qosEntry[$i]);
        $skype_proto = explode(' ',$qosEntry[$i]);

	// 20090224 - Add SIP case
        if (strncasecmp($skype_proto[0], '2', strlen($skype_proto[0])) == 0) {
	    $skype_proto[0] = 'skype';
	} else if (strncasecmp($skype_proto[0], '4', strlen($skype_proto[0])) == 0) {
	    $skype_proto[0] = 'sip';
        }

	// 20080926 - Reduce to 3 entries, ignore the two max values
	$strarray = $skype_proto[0].' '.$skype_proto[1].' '.$skype_proto[3];
        $display_qos->add_site('','','false',FALSE,'');
        $display_qos->site_list[$i]->span=$strarray;

        $i++;
    }

    //free COM object
    //$settingobj->Release();
    $settingobj=null;

    $ser_display_qos = serialize($display_qos);
    session_register('ser_display_qos');  

}

if (!isset($ser_add_qos)) {
    $add_qos = new Site_Array;
    $ser_add_qos = serialize($add_qos);
    session_register('ser_add_qos');
}

// unserialize data
if (isset($ser_display_qos)) {
    $display_qos=unserialize($ser_display_qos);
}
if (isset($ser_add_qos)) {
    $add_qos=unserialize($ser_add_qos);
}


// 20080926 - Reduce to 4 columns
if ($display_qos->num_sites > 0) {
    echo '
<table id="display" width="100%">
<colgroup span="4">
<col width="25%">
<col width="30%">
<col width="30%">
<col width="5%">
</colgroup>';

    $i = 0;
    $class = '';

    while ($i < $display_qos->num_sites) {
        if ($display_qos->site_list[$i]->name != ';') {
            $class = ($class == 'odd')? 'even': 'odd';
            if ($display_qos->site_list[$i]->checked == 'true') {
                $checked = 'checked';
                $class = 'checked';
            } else {
                $checked = '';
            }

            $num = explode(' ', $display_qos->site_list[$i]->span);

            echo "\n<tr class=\"$class\">\n";

            for ($k = 0; $k < sizeof($num); $k++) {
                if($num[$k] == '#') {
                    $k++;
                    $num[$k] = '#'.$num[$k];
                }
                echo "    <td>{$num[$k]}</td>\n";
            }

            echo '    <td><input type="checkbox" onclick="document.combo.item_no_qos.value=\'dis'.$i.'\'; document.combo.submit();" '.$checked.'></td>';
            echo "\n</tr>\n";
        }
        $i++;
    }
    echo "</table>\n";
}

// 20080926 - Reduce to 4 columns
if ($add_qos->num_sites > 0) {
    echo '
<table id="add" width="100%">
<colgroup span="4">
<col width="25%">
<col width="30%">
<col width="30%">
<col width="5%">
</colgroup>';

    $i = 0;
    $class = '';

    while ($i < $add_qos->num_sites) {
        if ($add_qos->site_list[$i]->name != ';') {
            $class = ($class == 'odd')? 'even': 'odd';
            if ($add_qos->site_list[$i]->checked == 'true') {
                $checked = 'checked';
                $class = 'checked';
            } else {
                $checked = '';
            }

            $num = explode(' ', $add_qos->site_list[$i]->span);

            echo "\n<tr class=\"$class\">\n";

            for ($k = 0; $k < sizeof($num); $k++) {
                if($num[$k] == '#') {
                    $k++;
                    $num[$k] = '#'.$num[$k];
                }
                echo "    <td>{$num[$k]}</td>\n";
            }

            echo '    <td><input type="checkbox" onclick="document.combo.item_no_qos.value=\'add'.$i.'\'; document.combo.submit();" '.$checked.'></td>';
            echo "\n</tr>\n";
        }
        $i++;
    }
    echo "</table>\n";
}

?>

<form name="combo" action="intermediate.php" method="post">
    <input type="hidden" name="item_no_qos" value="">
</form>

</body>
</html>

