<?php
    $settingobj = new COM('FSCONFIG.Cfgmgr') or die('setcfg.php FSCONFIG.Cfgmgr Object cannot be created!');

	// 20090518 - Remove Start
	// version control
	if (substr_count(strtolower($version),'standard') > 0) {
        if (substr_count(strtolower($version),'donation')>0)
            $version = substr($version,0,strlen($version)-9);
        $disabled = ' disabled';
        $version_msg = '* This feature is not available in '. ucwords($version) .' Edition.';
        $version_star = '<span class="star">* </span>';
    } else {
        $disabled = '';
        $version_msg = '';
        $version_star = '';
    }

    $test = (isset($user))? 'validate_m()': 'validate_m2()';

    echo '<script type="text/javascript" src="./javascript/conf_mgr.js"></script>'."\n";
    echo '<form action="settingok.php" name="form_m" method="post" onSubmit="return '.$test.'">'."\n";

    echo '<input type="hidden" name="selected_operator" value="">'."\n";
    echo '<input type="hidden" name="total_selected_operator" value="">'."\n";

    gen_head();

    if (!isset($user))
        $user=$settingobj->getKey('user', 'gateway');
    $input='<input class="longtextbox" type="text" name="user" value="'.$user.'" onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_config_mgr_username'), $input);

    gen_sep();

    $input='<input class="passwordbox" type="password" name="pass" value="                    " style="width:250px" onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_config_mgr_new_pwd'), $input);

    gen_sep();

    $input='<input class="passwordbox" type="password" name="confirmPass" value= "                    "  style="width:250px" onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_config_mgr_confim_pwd'), $input, 1);

    gen_sep();
    gen_sep();

    $allow=$settingobj->getKey('access_from_private', 'gateway');

    if($allow=='ON')
        $input='<input type="checkbox" name="access_from_private" checked="checked" value="ON">';
    else
        $input='<input type="checkbox" name="access_from_private" value="ON">';

    gen_line(get_cm_var('setcfg_config_mgr_allow_access_from_visitor'), $input);

    gen_sep();

    if (!isset($allowPublic)) $allowPublic=$settingobj->getKey('access_from_public', 'gateway');
    if($allowPublic == 'ON')
        $input='<input type="checkbox" name="access_from_public" checked="checked" value="ON">';
    else
        $input='<input type="checkbox" name="access_from_public" value="ON">';

    gen_line(get_cm_var('setcfg_config_mgr_allow_access_from_public'), $input);

    gen_sep();
    gen_sep();
    gen_license_warning($version_msg);
?>

        <tr>
            <td colspan="4">

                <table width="100%" border="0" cellspacing="0" cellpadding="5">
                    <tr>
                        <td width="200" valign="top" align="left" class="captionbig" style="color:green;"><?php echo $version_star ?>Operator Accounts:<br><br>
                            <input type="button" id="tab_delete" value="<?=get_cm_var('setcfg_config_mgr_delete')?>" title="<?=get_cm_var('setcfg_config_mgr_delete');?>" class="graphicBtn" onClick="if(confirmDelete(document.form_m.total_selected_operator.value)){onDelete();}" <?=$disabled?>><br><br>

<?php
    $input='<select name="existing_account" style="width:180px;" onChange="onSelectBox(this)" multiple size="20">';

    $max_admin_account=$settingobj->getKey( "max_admin_account", "gateway");
    $i = 0;
    for ($i = 0; $i < $max_admin_account; $i++) {
        $admin_username[$i]=$settingobj->getKey("admin_username".$i, "gateway");
        if ($admin_username[$i] != "") {			
			$tmp_parameter = $settingobj->getKey( "admin_parameter".$i, "gateway");
			
			$o_vals = array("0", "1");
			$parameterStr="";
			
			if(!stristr($tmp_parameter, ',') && str_replace($o_vals, "", $tmp_parameter) == ""){
				// using "0" and "1" format
				if (strlen($tmp_parameter) == count($old_v4_arr_category) + 1){
					$allCategory = $old_v4_arr_category;
				}
				else if (strlen($tmp_parameter) == count($old_v5_arr_category) + 1){
					$allCategory = $old_v5_arr_category;
				}
				else{
					$allCategory = $arr_category;
				}
				
				$count_param = 0;
				
				// first digit is "Administration (to start & stop FirstSpot)"
				if ($tmp_parameter{0} == 1){
					$parameterStr .= "admin";
					$count_param++;
				}
				
				foreach( $allCategory as $k => $v){
					if (isset($tmp_parameter{$k+1}) && $tmp_parameter{$k+1} == '1'){
						if ($count_param == 0 )
							$parameterStr .= $v;
						else
							$parameterStr .= ",".$v;
							
						$count_param++;
					}
				}
				
			}
			else{
				$parameterStr = $tmp_parameter;
			}
			
			$arr_parameter = array();
			
			if (stristr($parameterStr, ',')){
				$arr_parameter = explode(",", $parameterStr);
			}
			else{
				$arr_parameter[0] = $parameterStr;
			}
			
			$parameter = "0";
			
			// change format to "0" and "1"
			foreach( $arr_parameter as $k3 => $v3){
				if (strcasecmp($v3, "admin") == 0)
					$parameter = "1";
			}
			
			foreach( $arr_category as $k => $v){
				$match = 0;
				foreach( $arr_parameter as $k2 => $v2){
					if (strcasecmp($v, $v2) == 0){
						$match = 1;
						break; 
					}
				}
				$parameter .= $match;
			}
			
			$admin_parameter[$i]=$parameter;
			
            $input=$input."<option value=\"$admin_username[$i]\"><p class=\"fixed_width\">".$admin_username[$i];
        }
    }

    echo '
    <script type="text/javascript"><!--
      function onSelectBox(option)
      {
    ';
    $j = 0;
    $k = 0;
    for ($j = 0; $j < $max_admin_account; $j++) {
        if ($admin_username[$j] != "") {
            echo " if (option.selectedIndex == $k)
          displayInfo(\"$admin_username[$j]\", '$admin_parameter[$j]');\n";
            $k = $k + 1;
        }
    }
    echo"
                            document.form_m.total_selected_operator.value = 0;
                            document.form_m.selected_operator.value ='';
                        for(var i=0; i< document.form_m.existing_account.length; i++) {
                            if(document.form_m.existing_account.options[i].selected == true) {
                                            //alert(document.form_m.existing_account.options[i].index);
                                            document.form_m.total_selected_operator.value++;
                                            document.form_m.selected_operator.value = document.form_m.selected_operator.value + document.form_m.existing_account.options[i].value + ',';
                                        }
                                }";
    echo "
      }
    // -->
    </script>\n";

    $input .= '</select>';

    echo $input;

?>

        </td>

        <td valign="top" align="left">
            <input type="hidden" name="mode" value="">
            <input type="hidden" name="parameter" value="">
            <table border="0" cellspacing="0" cellpadding="1" width="100%">
            <tr class="captionbig">
                <td width="5" class="tabspace">&nbsp;</td>
                <td width="90" align="center" id="tab_view" class="tab" title="View mode" <? if($disabled=='') echo 'onClick="onView()"'; ?>><?=get_cm_var('setcfg_config_mgr_view')?></td>
                <td width="5" class="tabspace">&nbsp;</td>
                <td width="90" align="center" id="tab_add" class="tab" title="Add mode" <? if($disabled=='') echo 'onClick="onAdd()"'; ?>><?=get_cm_var('setcfg_config_mgr_add')?></td>
                <td width="5" class="tabspace">&nbsp;</td>
                <td width="90" align="center" id="tab_edit" class="tab" title="Edit mode" <? if($disabled=='') echo 'onClick="onEdit()"'; ?>><?=get_cm_var('setcfg_config_mgr_edit')?></td>
                <td class="tabspace">&nbsp;</td>
            </tr>
            </table>
            <table width="100%" border="0" cellspacing="6" cellpadding="0" class="tabcontent">
            <tr><td colspan="2" height="5"><img src="./images/blank.gif"></td></tr>
            <tr>
                <td class="captionbig"><?=get_cm_var('setcfg_config_mgr_admin_username')?></td>
                <td>
                    <input class="longtextbox" type="text" name="admin_username" value="" style="width: 220px;">
                </td>
            </tr>
            <tr>
                <td class="captionbig"><?=get_cm_var('setcfg_config_mgr_admin_pwd')?></td>
                <td>
                    <input class="passwordbox" type="password" name="admin_password" value="" style="width: 220px;">
                </td>
            </tr>

<?php
    gen_sep();
?>

            <tr>
                <td colspan="2" class="normal"><b><?=get_cm_var('setcfg_config_mgr_access_comment')?></b></td>
            </tr>

<?php   
    gen_sep();

    gen_manager_option(get_cm_var('setcfg_config_mgr_access_admin'), 'listOfCategoryCheckbox');

    foreach ($arr_category as $value) { //auto gen list of checkbox for different category
        gen_manager_option(get_cm_var("setcfg_config_mgr_access_$value"), 'listOfCategoryCheckbox');
    }
?>

                      </table>

                  </td>
                </tr>
            </table>

        </td>
    </tr>
<?php
    gen_sep();
    gen_comment_line('', 1200, 1);

    gen_save('save_m',$fs_status);
    gen_foot();

    echo "
    <script type=\"text/javascript\">
        onView();
    </script>\n";

    // release the COM object
    //$settingobj->Release();
    $settingobj=null;
?>
