function makeParameterString()
{
    var arrParameter = new Array();
    var arrCheckBoxElements = document.getElementsByName('listOfCategoryCheckbox');
    for (var i=0; i<arrCheckBoxElements.length; i++) {
        if (arrCheckBoxElements[i].checked) {
            arrParameter[i] = '1';
        } else {
            arrParameter[i] = '0';
        }
    }
    document.form_m.parameter.value = arrParameter.join(''); 
}
function noCheckboxSelected()
{
    var someCheckboxSelected = false;
    var arrCheckBoxElements = document.getElementsByName('listOfCategoryCheckbox');
    var i = 0;
    while (i < arrCheckBoxElements.length && !someCheckboxSelected) {
        someCheckboxSelected |= arrCheckBoxElements[i].checked;
        i++;
    }
    return !someCheckboxSelected;
}
function changeCategoryCheckboxState(isDisabled, isChecked)
{
    var arrCheckBoxElements = document.getElementsByName('listOfCategoryCheckbox');
    for (var i=0; i<arrCheckBoxElements.length; i++) {
        arrCheckBoxElements[i].checked = isChecked;
        arrCheckBoxElements[i].disabled = isDisabled;
    }
}
function disableAll()
{
    document.getElementById('tab_view').className = 'tab';
    document.getElementById('tab_add').className = 'tab';
    document.getElementById('tab_edit').className = 'tab';
    with( document.form_m )
    {
        mode.value = '';

        admin_username.value = '';
        admin_username.disabled = true;
        admin_username.style.background = '#DDDDDD';
        admin_password.value = '';
        admin_password.disabled = true;
        admin_password.style.background = '#DDDDDD';
        existing_account.selectedIndex = -1;
        existing_account.disabled = true;
        existing_account.style.background = '#DDDDDD';

    }
    changeCategoryCheckboxState(true, false);
}

function onAdd()
{
    if( document.form_m.mode.value != 'add' )
    {
        var arrCheckBoxElements;
        document.getElementById('tab_add').className = 'tabselected';
        document.getElementById('tab_edit').className = 'tab';
        document.getElementById('tab_view').className = 'tab';
        with( document.form_m )
        {
            mode.value = 'add';

            admin_username.value = '';
            admin_username.disabled = false;
            admin_username.style.background = '#FFFFFF';
            admin_password.value = '';
            admin_password.disabled = false;
            admin_password.style.background = '#FFFFFF';
            existing_account.selectedIndex = -1;
            existing_account.disabled = true;
            existing_account.style.background = '#DDDDDD';
        }
        changeCategoryCheckboxState(false, false);
    }
    else
        disableAll();
}

function onEdit()
{
    if( document.form_m.mode.value != 'edit' )
    {
        document.getElementById('tab_add').className = 'tab';
        document.getElementById('tab_edit').className = 'tabselected';
        document.getElementById('tab_view').className = 'tab';
        with( document.form_m )
        {
            mode.value = 'edit';

            admin_username.value = '';
            admin_username.disabled = true;
            admin_username.style.background = '#DDDDDD';
            admin_password.value = '';
            admin_password.disabled = false;
            admin_password.style.background = '#FFFFFF';
            existing_account.selectedIndex = -1;
            existing_account.disabled = false;
            existing_account.style.background = '#FFFFFF';
        }
        changeCategoryCheckboxState(false, false);
    }
    else
        disableAll();
}

function onView()
{
    if( document.form_m.mode.value != 'view' )
    {
        document.getElementById('tab_add').className = 'tab';
        document.getElementById('tab_edit').className = 'tab';
        document.getElementById('tab_view').className = 'tabselected';
        with( document.form_m )
        {
            mode.value = 'view';

            admin_username.value = '';
            admin_username.disabled = true;
            admin_username.style.background = '#DDDDDD';
            admin_password.value = '';
            admin_password.disabled = true;
            admin_password.style.background = '#DDDDDD';
            existing_account.selectedIndex = 0;
            existing_account.disabled = false;
            existing_account.style.background = '#FFFFFF';
            if(existing_account.options[0])
                onSelectBox(existing_account);
        }
        var arrCheckBoxElements = document.getElementsByName('listOfCategoryCheckbox');
        for (var i=0; i<arrCheckBoxElements.length; i++) {
            arrCheckBoxElements[i].disabled = true;
        }
    }
    else
        disableAll();
}

function onDelete()
{
    var oForm = document.form_m;
    var totalSelected=0;

    if( oForm.mode.value != 'del' ) {
        oForm.mode.value = 'del';
        oForm.submit();
    }
    else
        disableAll();
}

function displayInfo(username, admin_param)
{
    with (document.form_m ) {
        admin_username.value = username;
        admin_password.value = '                    ';
    }
    var arrCheckBoxElements = document.getElementsByName('listOfCategoryCheckbox');
    for (var i=0; i<arrCheckBoxElements.length; i++) {
        arrCheckBoxElements[i].checked = (admin_param.charAt(i)=='1');
    }
}
