<?php
/*************************************************
direct_payment_receipt.php

This page show the receipt to the users after successful payments.

called by direct_payment.php

*************************************************/

require_once "..\\authserv\\fs_lang.php";
require_once "..\\authserv\\common_functions.php";

if ( !isset($_SESSION['reshash']) || !isset($_SESSION['pay_info_arr'])){
	echo 'Required post fields were not receieved!';
}
else{

	$pay_info_arr=$_SESSION['pay_info_arr'];
	
	$item_name=$pay_info_arr['item_name'];
	$currency_code=$pay_info_arr['currency_code'];
	$amount=$pay_info_arr['amount'];
	$return=$pay_info_arr['return'];
	$resArray=$_SESSION['reshash'];
	
	//start handling the dynamic content for the template
	$smarty = new SmartyConnect;
	$smarty->assign('meta_charset', metaCharset());
	$smarty->assign('lang_direct_payment_rcpt_title', get_var('direct_payment_rcpt_title'));
	$smarty->assign('lang_direct_payment_rcpt_thx_msg', get_var('direct_payment_rcpt_thx_msg'));
	$smarty->assign('lang_direct_payment_rcpt_plan', get_var('direct_payment_rcpt_plan'));
	$smarty->assign('item_name', $item_name);
	$smarty->assign('lang_direct_payment_rcpt_total', get_var('direct_payment_rcpt_total'));
	$smarty->assign('currency_code', $currency_code);
	$smarty->assign('amount', $amount);
	$smarty->assign('lang_direct_payment_rcpt_txn_id', get_var('direct_payment_rcpt_txn_id'));
	$smarty->assign('transaction_id', $resArray['TRANSACTIONID']);
	$smarty->assign('lang_direct_payment_rcpt_total_amt', get_var('direct_payment_rcpt_total_amt'));
	$smarty->assign('paid_amt', $resArray['AMT']);
	$smarty->assign('lang_direct_payment_rcpt_rtn_btn', get_var('direct_payment_rcpt_rtn_btn'));
	$smarty->assign('return', $return);
	$smarty->display('direct_payment_receipt.tpl');
	//end of handling the dynamic content for the template
	unset($_SESSION['reshash']);
	unset($_SESSION['pay_info_arr']);
	
}
?>