<?php

// security check
require_once 'secureLogin.php';

require_once 'display_list.php';

// initialize the return URL
$return_url = 'setmain.php';

if (!defined('MAXCHAR')) define('MAXCHAR',30);

// delete sites
if (isset($delete_flag)&&($delete_flag=='true'))
{
    // unserialize data
    if (isset($ser_display)) { $display=unserialize($ser_display); }
    if (isset($ser_add)) { $add=unserialize($ser_add); }

    // Remove from display
    $display->purge();
    $add->purge();
    $_SESSION['saving_msg_sites']=1; //add by Pan, 18_11_2003

    $display->uncheck_all();
    $add->uncheck_all();

    // serialize data
    if (isset($display)) { $ser_display=serialize($display); }
    if (isset($add)) { $ser_add=serialize($add); }

    $return_url = 'setcfg.php?category=e';

} // end delete sites

// add site
else if (isset($site_to_add))
{ 
    // unserialize data
    if (isset($ser_add)) { $add=unserialize($ser_add); }

    $add->add_site($site_to_add,-1,'false',FALSE,'');

    // serialize data
    if (isset($add)) { $ser_add=serialize($add); }

    $return_url = 'setcfg.php?category=e';

}

else if (isset($item_no)&&($item_no!=''))
{
    $item_no=trim($item_no);
    if (substr($item_no,0,3)=='dis') {
        if (isset($ser_display)) { $display=unserialize($ser_display); } // unserialize data
        $item_no=substr($item_no,3,strlen($item_no)-3);
        $display->check_site((int)$item_no);
        if (isset($display)) { $ser_display=serialize($display); } // serialize data
    } else if (substr($item_no,0,3)=='add') {
        if (isset($ser_add)) { $add=unserialize($ser_add); } // unserialize data
        $item_no=substr($item_no,3,strlen($item_no)-3);
        $add->check_site((int)$item_no);
        if (isset($add)) { $ser_add=serialize($add); } // serialize data
    } else {
        echo 'invalid item_no in intermediate.php'.$item_no;
    }

    $return_url = 'table.php';

}

else if (isset($delete_flagIP)&&($delete_flagIP=='true'))
{
    // unserialize data
    if (isset($ser_displayIP)) { $displayIP=unserialize($ser_displayIP); }
    if (isset($ser_addIP)) { $addIP=unserialize($ser_addIP); }

    // Remove from display
    $displayIP->purge();
    $addIP->purge();
    $_SESSION['saving_msg_sites']=1; //add by Pan, 18_11_2003

    $displayIP->uncheck_all();
    $addIP->uncheck_all();

    // serialize data
    if (isset($displayIP)) { $ser_displayIP=serialize($displayIP); }
    if (isset($addIP)) { $ser_addIP=serialize($addIP); }

    $return_url = 'setcfg.php?category=e';

} // end delete IPs

// add IP
else if (isset($IP_to_add1)&&($IP_to_add1!='') && isset($IP_to_add2)&&($IP_to_add2!='') &&
        isset($IP_to_add3)&&($IP_to_add3!='') && isset($IP_to_add4)&&($IP_to_add4!=''))
{
    // unserialize data
    if (isset($ser_addIP)) { $addIP=unserialize($ser_addIP); }

    $IP_to_add=trim($IP_to_add1).'.'.trim($IP_to_add2).'.'.trim($IP_to_add3).'.'.trim($IP_to_add4);
    $addIP->add_site($IP_to_add,-1,'false',FALSE,'');

    // serialize data
    if (isset($addIP)) { $ser_addIP=serialize($addIP); }

    $return_url = 'setcfg.php?category=e';

}

else if (isset($item_noIP)&&($item_noIP!=''))
{
    $item_noIP=trim($item_noIP);
    if (substr($item_noIP,0,3)=='dis') {
        if (isset($ser_displayIP)) { $displayIP=unserialize($ser_displayIP); } // unserialize data
        $item_noIP=substr($item_noIP,3,strlen($item_noIP)-3);
        $displayIP->check_site((int)$item_noIP);
        if (isset($displayIP)) { $ser_displayIP=serialize($displayIP); } // serialize data
    } else if (substr($item_noIP,0,3)=='add') {
        if (isset($ser_addIP)) { $addIP=unserialize($ser_addIP); } // unserialize data
        $item_noIP=substr($item_noIP,3,strlen($item_noIP)-3);
        $addIP->check_site((int)$item_noIP);
        if (isset($addIP)) { $ser_addIP=serialize($addIP); } // serialize data
    } else {
        echo 'invalid item_noIP in intermediate.php'.$item_no;
    }

    $return_url = 'tableIP.php';

}

// delete route
else if (isset($delete_flag_route)&&($delete_flag_route=='true'))
{
    // unserialize data
    if (isset($ser_display_route)) { $display_route=unserialize($ser_display_route); }
    if (isset($ser_add_route)) { $add_route=unserialize($ser_add_route); }

    // Remove from display
    $display_route->purge();
    $add_route->purge();
    $_SESSION['saving_msg_route'] = 1; //add by Pan, 18_11_2003

    $display_route->uncheck_all();
    $add_route->uncheck_all();

    // serialize data
    if (isset($display_route)) { $ser_display_route = serialize($display_route); }
    if (isset($add_route)) { $ser_add_route = serialize($add_route); }

    $return_url = 'setcfg.php?category=r';

}

// add route
else if (isset($add_flag_route)&&($add_flag_route=='true'))
{ 
    $router_to_add = trim($router_to_add1).'.'.trim($router_to_add2).'.'.trim($router_to_add3).'.'.trim($router_to_add4);
    $subnet_to_add = trim($subnet_to_add1).'.'.trim($subnet_to_add2).'.'.trim($subnet_to_add3).'.'.trim($subnet_to_add4);
    $gateway_to_add = trim($gateway_to_add1).'.'.trim($gateway_to_add2).'.'.trim($gateway_to_add3).'.'.trim($gateway_to_add4);
    $enable_redirect_to_add = isset($enable_redirect_to_add1);

    // 20071017 - Add string checking
    if (isset($redirect_to_add1) && strlen($redirect_to_add1) > 0) {
	$redirect_to_add = stripslashes(trim($redirect_to_add1));
    } else {
	$redirect_to_add = '';
    }

    if (($router_to_add!='...')&&($subnet_to_add!='...')&&($gateway_to_add!='...')) {
        // unserialize data
        if (isset($ser_add_route)) { $add_route = unserialize($ser_add_route); }

        $add_route->add_site($router_to_add,$subnet_to_add,'false',$enable_redirect_to_add,$redirect_to_add);
        $i = $add_route->num_sites-1;
        $add_route->site_list[$i]->span = $gateway_to_add;

        // serialize data
        if (isset($add_route)) { $ser_add_route = serialize($add_route); }
    }

    $return_url = 'setcfg.php?category=r';

}

else if (isset($item_no_route)&&($item_no_route!=''))
{
    $item_no_route=trim($item_no_route);
    if (substr($item_no_route,0,3)=='dis') {
        if (isset($ser_display_route)) { $display_route=unserialize($ser_display_route); } // unserialize data
        $item_no_route=substr($item_no_route,3,strlen($item_no_route)-3);
        $display_route->check_site((int)$item_no_route);
        if (isset($display_route)) { $ser_display_route=serialize($display_route);} // serialize data
    } else if (substr($item_no_route,0,3)=='add') {
        if (isset($ser_add_route)) { $add_route=unserialize($ser_add_route); } // unserialize data
        $item_no_route=substr($item_no_route,3,strlen($item_no_route)-3);
        $add_route->check_site((int)$item_no_route);
        if (isset($add_route)) { $ser_add_route=serialize($add_route); } // serialize data
    } else {
        echo 'invalid item_no_route in intermediate.php'.$item_no_route;
    }

    $return_url = 'setcfg.php?category=r';

}

else if (isset($item_no_dhcp)&&($item_no_dhcp!=''))
{
    $item_no_dhcp=trim($item_no_dhcp);
    if (substr($item_no_dhcp,0,3)=='dis') {
        if (isset($ser_display_dhcp)) { $display_dhcp=unserialize($ser_display_dhcp); } // unserialize data
        $item_no_dhcp=substr($item_no_dhcp,3,strlen($item_no_dhcp)-3);
        $display_dhcp->check_site((int)$item_no_dhcp);
        if (isset($display_dhcp)) { $ser_display_dhcp=serialize($display_dhcp);} // serialize data
    } else if (substr($item_no_dhcp,0,3)=='add') {
        if (isset($ser_add_dhcp)) { $add_dhcp=unserialize($ser_add_dhcp); } // unserialize data
        $item_no_dhcp=substr($item_no_dhcp,3,strlen($item_no_dhcp)-3);
        $add_dhcp->check_site((int)$item_no_dhcp);
        if (isset($add_dhcp)) { $ser_add_dhcp=serialize($add_dhcp); } // serialize data
    } else {
        echo 'invalid item_no_dhcp in intermediate.php'.$item_no_dhcp;
    }

    $return_url = 'table_dhcp.php';

}

//auto mode, ingore ip adresses
//create by Jason 31-03-04
else if (isset($delete_flag_ignore)&&($delete_flag_ignore=='true'))
{
    // unserialize data
    if (isset($ser_display_ignore)) { $display_ignore=unserialize($ser_display_ignore); }
    if (isset($ser_add_ignore)) { $add_ignore=unserialize($ser_add_ignore); }

    // Remove from display
    $display_ignore->purge();
    $add_ignore->purge();
    $_SESSION['saving_msg_ignore']=1;

    $display_ignore->uncheck_all();
    $add_ignore->uncheck_all();

    // serialize data
    if (isset($display_ignore)) { $ser_display_ignore=serialize($display_ignore); }
    if (isset($add_ignore)) { $ser_add_ignore=serialize($add_ignore); }

    $return_url = 'setauto.php';

}

else if (isset($add_flag_ignore)&&($add_flag_ignore=='true'))
{
    $IPaddr_to_add=trim($IPaddr_to_add1).'.'.trim($IPaddr_to_add2).'.'.trim($IPaddr_to_add3).'.'.trim($IPaddr_to_add4);

    if (($IPaddr_to_add!='...'))
    {
        // unserialize data
        if (isset($ser_add_ignore)) { $add_ignore=unserialize($ser_add_ignore); }

	// 20080205 - Put IP in name field instead of span
        $add_ignore->add_site($IPaddr_to_add, -1, 'false', FALSE, '');

        // serialize data
        if (isset($add_ignore)) { $ser_add_ignore=serialize($add_ignore); }
    }

    $return_url = 'setauto.php';

}

else if (isset($add_range_flag_ignore)&&($add_range_flag_ignore=='true'))
{
    $target1 = trim($IPaddr_to_add_range1);
    $target2 = trim($IPaddr_to_add_range2);
    $target3 = trim($IPaddr_to_add_range3);
    $target4 = trim($IPaddr_to_add_range4);

    $target5 = trim($IPaddr_to_add_range5);
    $target6 = trim($IPaddr_to_add_range6);
    $target7 = trim($IPaddr_to_add_range7);
    $target8 = trim($IPaddr_to_add_range8);

    // unserialize data
    if (isset($ser_add_ignore)) { $add_ignore=unserialize($ser_add_ignore); }

    while(($target1 != $target5)||($target2 != $target6)||($target3 != $target7)||($target4 != $target8))
    {
        $IPaddr_to_add=$target1.'.'.$target2.'.'.$target3.'.'.$target4;

        if (($IPaddr_to_add!='...')) 
        {
	    // 20080205 - Put IP in name field instead of span
            $add_ignore->add_site($IPaddr_to_add, -1, 'false', FALSE, '');
        }

        $target4 = $target4 + 1;
        if ($target4 > 255) {
            $target4 = 0;
            $target3 = $target3 + 1;
            if ($target3 > 255) {
                $target3 = 0;
                $target2 = $target2 + 1;
                if ($target2 > 255) {
                    $target2 = 0;
                    $target1 = $target1 + 1;
                    if ($target1 > 255)
                        break;
                }
            }
        }
    }

    // for last IP
    $IPaddr_to_add=$target1.'.'.$target2.'.'.$target3.'.'.$target4;

    if (($IPaddr_to_add!='...')) 
    {
	// 20080205 - Put IP in name field instead of span
        $add_ignore->add_site($IPaddr_to_add, -1, 'false', FALSE, '');
    }

    // serialize data
    if (isset($add_ignore)) { $ser_add_ignore=serialize($add_ignore); }

    $return_url = 'setauto.php';

}

else if (isset($delete_flag_auto_static)&&($delete_flag_auto_static=='true'))
{
    // unserialize data
    if (isset($ser_display_dhcp)) { $display_dhcp=unserialize($ser_display_dhcp); }
    if (isset($ser_add_dhcp)) { $add_dhcp=unserialize($ser_add_dhcp); }

    // Remove from display
    $display_dhcp->purge();
    $add_dhcp->purge();
    $_SESSION['saving_msg_dhcp']=1;  //add by Pan, 18_11_2003

    $display_dhcp->uncheck_all();
    $add_dhcp->uncheck_all();

    // serialize data
    if (isset($display_dhcp)) { $ser_display_dhcp=serialize($display_dhcp); }
    if (isset($add_dhcp)) { $ser_add_dhcp=serialize($add_dhcp); }

    $return_url = 'setauto.php';

} // end delete dhcps

// add dhcp
else if (isset($add_flag_auto_static)&&($add_flag_auto_static=='true'))
{ 
    $IPaddr_to_add=trim($IPaddr_to_add1).'.'.trim($IPaddr_to_add2).'.'.trim($IPaddr_to_add3).'.'.trim($IPaddr_to_add4);
    $MACaddr_to_add=trim($MACaddr_to_add1).'-'.trim($MACaddr_to_add2).'-'.trim($MACaddr_to_add3).'-'.trim($MACaddr_to_add4).'-'.trim($MACaddr_to_add5.'-'.trim($MACaddr_to_add6));

    if (($IPaddr_to_add!='...')&&($MACaddr_to_add!='-----')) 
    {
        // unserialize data
        if (isset($ser_add_dhcp)) { $add_dhcp=unserialize($ser_add_dhcp); }

        $add_dhcp->add_site($IPaddr_to_add,-1,'false',FALSE,'');
        $i=$add_dhcp->num_sites-1;
        $add_dhcp->site_list[$i]->span=$MACaddr_to_add;

        // serialize data
        if (isset($add_dhcp)) { $ser_add_dhcp=serialize($add_dhcp); }
    }

    $return_url = 'setauto.php';

}

else if (isset($item_ip_ignore)&&($item_ip_ignore!=''))
{
    $item_ip_ignore=trim($item_ip_ignore);
	if (substr($item_ip_ignore,0,3)=='dis') {
        if (isset($ser_display_ignore)) { $display_ignore=unserialize($ser_display_ignore); } // unserialize data
        $item_ip_ignore=substr($item_ip_ignore,3,strlen($item_ip_ignore)-3);
        $display_ignore->check_site((int)$item_ip_ignore);
        if (isset($display_ignore)) { $ser_display_ignore=serialize($display_ignore);
		} // serialize data
    } else if (substr($item_ip_ignore,0,3)=='add') {
        if (isset($ser_add_ignore)) { $add_ignore=unserialize($ser_add_ignore); } // unserialize data
        $item_ip_ignore=substr($item_ip_ignore,3,strlen($item_ip_ignore)-3);
        $add_ignore->check_site((int)$item_ip_ignore);
        if (isset($add_ignore)) { $ser_add_ignore=serialize($add_ignore); } // serialize data
    } else {
        echo 'invalid item_ip_ignore in intermediate.php'.$item_ip_ignore;
    }
	
    $return_url = 'table_auto.php';

}


else if (isset($item_ip_ignore_all)&&($item_ip_ignore_all!=''))
{
    $item_ip_ignore_all=trim($item_ip_ignore_all);
	if (substr($item_ip_ignore_all,0,3)=='dis') {
        if (isset($ser_display_ignore)) { $display_ignore=unserialize($ser_display_ignore); } // unserialize data
        $item_ip_ignore_all=substr($item_ip_ignore_all,3,strlen($item_ip_ignore_all)-3);
        $display_ignore->check_all();
        if (isset($display_ignore)) { $ser_display_ignore=serialize($display_ignore);
		} // serialize data
    } 
	else {
        echo 'invalid item_ip_ignore in intermediate.php'.$item_ip_ignore_all;
    }
	
    $return_url = 'table_auto.php';

}

else if (isset($item_ip_ignore_un_all)&&($item_ip_ignore_un_all!=''))
{
    $item_ip_ignore_un_all=trim($item_ip_ignore_un_all);
	if (substr($item_ip_ignore_un_all,0,3)=='dis') {
        if (isset($ser_display_ignore)) { $display_ignore=unserialize($ser_display_ignore); } // unserialize data
        $item_ip_ignore_un_all=substr($item_ip_ignore_un_all,3,strlen($item_ip_ignore_un_all)-3);
        $display_ignore->uncheck_all();
        if (isset($display_ignore)) { $ser_display_ignore=serialize($display_ignore);
		} // serialize data
    } 
	else {
        echo 'invalid item_ip_ignore in intermediate.php'.$item_ip_ignore_un_all;
    }
	
    $return_url = 'table_auto.php';

}

//jason
else if (isset($delete_flag_mac)&&($delete_flag_mac=='true'))
{
    // unserialize data
    if (isset($ser_display_mac)) { $display_mac=unserialize($ser_display_mac); }
    if (isset($ser_add_mac)) { $add_mac=unserialize($ser_add_mac); }

    // Remove from display
    $display_mac->purge();
    $add_mac->purge();
    $_SESSION['saving_msg_mac']=1;

    $display_mac->uncheck_all();
    $add_mac->uncheck_all();

    // serialize data
    if (isset($display_mac)) { $ser_display_mac=serialize($display_mac); }
    if (isset($add_mac)) { $ser_add_mac=serialize($add_mac); }

    $return_url = 'setMAC.php';
}

else if (isset($add_flag_mac)&&($add_flag_mac=='true'))
{
    if( isset($MACaddr_to_add1) && isset($MACaddr_to_add2) && isset($MACaddr_to_add3) && isset($MACaddr_to_add4) ) {
        $MACaddr_to_add=trim($MACaddr_to_add1).'-'.trim($MACaddr_to_add2).'-'.trim($MACaddr_to_add3).'-'.trim($MACaddr_to_add4).'-'.trim($MACaddr_to_add5.'-'.trim($MACaddr_to_add6));

        if ($MACaddr_to_add!='-----')
        {
            // unserialize data
            if (isset($ser_add_mac)) { $add_mac=unserialize($ser_add_mac); }

            $add_mac->add_site('','','false',FALSE,'');
            $i=$add_mac->num_sites-1;
            $add_mac->site_list[$i]->span=$MACaddr_to_add;

            // serialize data
            if (isset($add_mac)) { $ser_add_mac=serialize($add_mac); }
        }
    }
    $return_url = 'setMAC.php';
}

else if (isset($item_client_pass_mac)&&($item_client_pass_mac!=''))
{
    $item_client_pass_mac=trim($item_client_pass_mac);
    if (substr($item_client_pass_mac,0,3)=='dis') {
        if (isset($ser_display_mac)) { $display_mac=unserialize($ser_display_mac); } // unserialize data
        $item_client_pass_mac=substr($item_client_pass_mac,3,strlen($item_client_pass_mac)-3);
        $display_mac->check_site((int)$item_client_pass_mac);
        if (isset($display_mac)) { $ser_display_mac=serialize($display_mac);} // serialize data
    } else if (substr($item_client_pass_mac,0,3)=='add') {
        if (isset($ser_add_mac)) { $add_mac=unserialize($ser_add_mac); } // unserialize data
        $item_client_pass_mac=substr($item_client_pass_mac,3,strlen($item_client_pass_mac)-3);
        $add_mac->check_site((int)$item_client_pass_mac);
        if (isset($add_mac)) { $ser_add_mac=serialize($add_mac); } // serialize data
    } else {
        echo 'invalid $item_client_pass_mac in intermediate.php'.$item_client_pass_mac;
    }

    $return_url = 'table_mac.php';
}

//jason
else if (isset($delete_flag_ip)&&($delete_flag_ip=='true'))
{
    // unserialize data
    if (isset($ser_display_ip)) { $display_ip=unserialize($ser_display_ip); }
    if (isset($ser_add_ip)) { $add_ip=unserialize($ser_add_ip); }

    // Remove from display
    $display_ip->purge();
    $add_ip->purge();
    $_SESSION['saving_msg_ip']=1;

    $display_ip->uncheck_all();
    $add_ip->uncheck_all();

    // serialize data
    if (isset($display_ip)) { $ser_display_ip=serialize($display_ip); }
    if (isset($add_ip)) { $ser_add_ip=serialize($add_ip); }

    $return_url = 'setIP.php';
}

else if (isset($add_flag_ip)&&($add_flag_ip=='true'))
{
    $IPaddr_to_add=trim($IPaddr_to_add1).'.'.trim($IPaddr_to_add2).'.'.trim($IPaddr_to_add3).'.'.trim($IPaddr_to_add4);

    if ($IPaddr_to_add!='...') 
    {
        // unserialize data
        if (isset($ser_add_ip)) { $add_ip=unserialize($ser_add_ip); }

        $add_ip->add_site('','','false',FALSE,'');
        $i=$add_ip->num_sites-1;
        $add_ip->site_list[$i]->span=$IPaddr_to_add;

        // serialize data
        if (isset($add_ip)) { $ser_add_ip=serialize($add_ip); }
    }
    $return_url = 'setIP.php';
}

else if (isset($item_client_pass_ip)&&($item_client_pass_ip!=''))
{
    $item_client_pass_ip=trim($item_client_pass_ip);
    if (substr($item_client_pass_ip,0,3)=='dis') {
        if (isset($ser_display_ip)) { $display_ip=unserialize($ser_display_ip); } // unserialize data
        $item_client_pass_ip=substr($item_client_pass_ip,3,strlen($item_client_pass_ip)-3);
        $display_ip->check_site((int)$item_client_pass_ip);
        if (isset($display_ip)) { $ser_display_ip=serialize($display_ip);} // serialize data
    } else if (substr($item_client_pass_ip,0,3)=='add') {
        if (isset($ser_add_ip)) { $add_ip=unserialize($ser_add_ip); } // unserialize data
        $item_client_pass_ip=substr($item_client_pass_ip,3,strlen($item_client_pass_ip)-3);
        $add_ip->check_site((int)$item_client_pass_ip);
        if (isset($add_ip)) { $ser_add_ip=serialize($add_ip); } // serialize data
    } else {
        echo "invalid $item_client_pass_ip in intermediate.php $item_client_pass_ip";
    }

    $return_url = 'table_ip.php';
}

// Dennis, Proxy IP
else if(isset($delete_flag_proxyARP)&&($delete_flag_proxyARP=='true'))
{
    // unserialize data
    if (isset($ser_display_proxy)) { $display_proxy=unserialize($ser_display_proxy); }
    if (isset($ser_add_proxy)) { $add_proxy=unserialize($ser_add_proxy); }

    // Remove from display
    $display_proxy->purge();
    $add_proxy->purge();
    $_SESSION['saving_msg_proxy']=1;

    $display_proxy->uncheck_all();
    $add_proxy->uncheck_all();

    // serialize data
    if (isset($display_proxy)) { $ser_display_proxy=serialize($display_proxy); }
    if (isset($add_proxy)) { $ser_add_proxy=serialize($add_proxy); }

    $return_url = 'setProxyArp.php';
}

else if (isset($add_flag_proxy)&&($add_flag_proxy=='true')) // add Proxy
{
    $IPaddr_to_add=trim($ProxyIPaddr_to_add1).'.'.trim($ProxyIPaddr_to_add2).'.'.trim($ProxyIPaddr_to_add3).'.'.trim($ProxyIPaddr_to_add4);

    if ($IPaddr_to_add!='...')
    {
        // unserialize data
        if (isset($ser_display_proxy)) { $display_proxy=unserialize($ser_display_proxy); }
		if (isset($ser_add_proxy)) { $add_proxy=unserialize($ser_add_proxy); }
		
		$duplicate = false;
		for ($i=0;$i<$display_proxy->num_sites;$i++)
		{
			if ($display_proxy->site_list[$i]->span == $IPaddr_to_add)
			{
				$duplicate = true;
				break;
			}
		}
		if ($duplicate==false)
		{
			for ($i=0;$i<$add_proxy->num_sites;$i++)
			{	
				if ($add_proxy->site_list[$i]->span == $IPaddr_to_add)
				{
					$duplicate = true;
					break;
				}
			}
		}
		
		if ($duplicate==false)
		{
			$add_proxy->add_site('','','false',FALSE,'');
			$i=$add_proxy->num_sites-1;
			$add_proxy->site_list[$i]->span=$IPaddr_to_add;
		}

        // serialize data
		if (isset($display_proxy)) { $ser_display_proxy=serialize($display_proxy); }
        if (isset($add_proxy)) { $ser_add_proxy=serialize($add_proxy); } 
    }
    $return_url = 'setProxyArp.php';
}

else if (isset($add_flag_proxy_range)&&($add_flag_proxy_range=='true')) // add Proxy range
{
    $target1 = trim($IPaddr_to_add_range1);
    $target2 = trim($IPaddr_to_add_range2);
    $target3 = trim($IPaddr_to_add_range3);
    $target4 = trim($IPaddr_to_add_range4);

    $target5 = trim($IPaddr_to_add_range5);
    $target6 = trim($IPaddr_to_add_range6);
    $target7 = trim($IPaddr_to_add_range7);
    $target8 = trim($IPaddr_to_add_range8);

    // unserialize data
    if (isset($ser_display_proxy)) { $display_proxy=unserialize($ser_display_proxy); }
	if (isset($ser_add_proxy)) { $add_proxy=unserialize($ser_add_proxy); }
		
    while(($target1 != $target5)||($target2 != $target6)||($target3 != $target7)||($target4 != $target8))
    {
        $IPaddr_to_add=$target1.'.'.$target2.'.'.$target3.'.'.$target4;
		
		
        if (($IPaddr_to_add!='...')) 
        {
			$duplicate = false;
			for ($i=0;$i<$display_proxy->num_sites;$i++)
			{
				if ($display_proxy->site_list[$i]->span == $IPaddr_to_add)
				{
					$duplicate = true;
					break;
				}
			}
			if ($duplicate==false)
			{	
				for ($i=0;$i<$add_proxy->num_sites;$i++)
				{	
					if ($add_proxy->site_list[$i]->span == $IPaddr_to_add)
					{
						$duplicate = true;
						break;
					}
				}
			}
			if ($duplicate ==false)
            {
				$add_proxy->add_site('','','false',FALSE,'');
				$i=$add_proxy->num_sites-1;
				$add_proxy->site_list[$i]->span=$IPaddr_to_add;
			}
        }

        $target4 = $target4 + 1;
        if ($target4 > 255) {
            $target4 = 0;
            $target3 = $target3 + 1;
            if ($target3 > 255) {
                $target3 = 0;
                $target2 = $target2 + 1;
                if ($target2 > 255) {
                    $target2 = 0;
                    $target1 = $target1 + 1;
                    if ($target1 > 255)
                        break;
                }
            }
        }
    }

    // for last IP
    $IPaddr_to_add=$target1.'.'.$target2.'.'.$target3.'.'.$target4;

    if (($IPaddr_to_add!='...')) 
    {
		$duplicate = false;
		for ($i=0;$i<$display_proxy->num_sites;$i++)
		{
			if ($display_proxy->site_list[$i]->span == $IPaddr_to_add)
			{
				$duplicate = true;
				break;
			}
		}
		if ($duplicate==false)
		{
			for ($i=0;$i<$add_proxy->num_sites;$i++)
			{	
				if ($add_proxy->site_list[$i]->span == $IPaddr_to_add)
				{
					$duplicate = true;
					break;
				}
			}
		}
		if ($duplicate==false)
		{
			$add_proxy->add_site('','','false',FALSE,'');
			$i=$add_proxy->num_sites-1;
			$add_proxy->site_list[$i]->span=$IPaddr_to_add;
		}
    }

    // serialize data
    if (isset($display_proxy)) { $ser_display_proxy=serialize($display_proxy); }
	if (isset($add_proxy)) { $ser_add_proxy=serialize($add_proxy); } 
    $return_url = 'setProxyArp.php';
}

else if (isset($item_no_proxy)&&($item_no_proxy!=''))
{
    $item_no_proxy=trim($item_no_proxy);
    if (substr($item_no_proxy,0,3)=='dis') {
        if (isset($ser_display_proxy)) { $display_proxy=unserialize($ser_display_proxy); } // unserialize data
        $item_no_proxy=substr($item_no_proxy,3,strlen($item_no_proxy)-3);
        $display_proxy->check_site((int)$item_no_proxy);
        if (isset($display_proxy)) { $ser_display_proxy=serialize($display_proxy);} // serialize data
    } else if (substr($item_no_proxy,0,3)=='add') {
        if (isset($ser_add_proxy)) { $add_proxy=unserialize($ser_add_proxy); } // unserialize data
        $item_no_proxy=substr($item_no_proxy,3,strlen($item_no_proxy)-3);
        $add_proxy->check_site((int)$item_no_proxy);
        if (isset($add_proxy)) { $ser_add_proxy=serialize($add_proxy); } // serialize data
    } else {
        echo "invalid $item_no_proxy in intermediate.php $item_no_proxy";
    }

    $return_url = 'table_proxyARP.php';
}

else if (isset($selectAll_flag_proxyARP)&&($selectAll_flag_proxyARP='true'))
{
    if (isset($ser_display_proxy)) {
		$display_proxy=unserialize($ser_display_proxy); // unserialize data
		$display_proxy->check_all();

		$ser_display_proxy=serialize($display_proxy); // serialize data
	}

    $return_url = 'table_proxyARP.php';
}

else if (isset($selectNone_flag_proxyARP)&&($selectNone_flag_proxyARP='true'))
{
    if (isset($ser_display_proxy)) {
		$display_proxy=unserialize($ser_display_proxy); // unserialize data
		$display_proxy->uncheck_all();

		$ser_display_proxy=serialize($display_proxy); // serialize data
	}

    $return_url = 'table_proxyARP.php';
}

else if(isset($delete_flag_NAT)&&($delete_flag_NAT=='true'))
{
    // unserialize data
    if (isset($ser_display_nat_P)) { $display_nat_P=unserialize($ser_display_nat_P); }
    if (isset($ser_display_nat_R)) { $display_nat_R=unserialize($ser_display_nat_R); }
    if (isset($ser_add_nat_P)) { $add_nat_P=unserialize($ser_add_nat_P); }
    if (isset($ser_add_nat_R)) { $add_nat_R=unserialize($ser_add_nat_R); }

    // Remove from display
    $display_nat_P->purge();
    $display_nat_R->purge();
    $add_nat_P->purge();
    $add_nat_R->purge();
    $_SESSION['saving_msg_nat']=1;

    $display_nat_P->uncheck_all();
    $display_nat_R->uncheck_all();
    $add_nat_P->uncheck_all();
    $add_nat_R->uncheck_all();

    // serialize data
    if (isset($display_nat_P)) { $ser_display_nat_P=serialize($display_nat_P); }
    if (isset($display_nat_R)) { $ser_display_nat_R=serialize($display_nat_R); }
    if (isset($add_nat_P)) { $ser_add_nat_P=serialize($add_nat_P); }
    if (isset($add_nat_R)) { $ser_add_nat_R=serialize($add_nat_R); }

    $return_url = 'setNAT.php';
}

else if (isset($add_flag_nat)&&($add_flag_nat=='true')) // add nat
{
    $IPaddr_to_add_R=trim($NATIPaddr_R_to_add1).'.'.trim($NATIPaddr_R_to_add2).'.'.trim($NATIPaddr_R_to_add3).'.'.trim($NATIPaddr_R_to_add4);
    $IPaddr_to_add_P=trim($NATIPaddr_P_to_add1).'.'.trim($NATIPaddr_P_to_add2).'.'.trim($NATIPaddr_P_to_add3).'.'.trim($NATIPaddr_P_to_add4);

    if (($IPaddr_to_add_P!='...')||($IPaddr_to_add_R!='...'))
    {
        // unserialize data
        if (isset($ser_display_nat_P)) { $display_nat_P=unserialize($ser_display_nat_P); }
        if (isset($ser_display_nat_R)) { $display_nat_R=unserialize($ser_display_nat_R); }
		if (isset($ser_add_nat_P)) { $add_nat_P=unserialize($ser_add_nat_P); }
		if (isset($ser_add_nat_R)) { $add_nat_R=unserialize($ser_add_nat_R); }
		
		$duplicate = false;
		for ($i=0;$i<$display_nat_P->num_sites;$i++)
		{
			if ($display_nat_P->site_list[$i]->span == $IPaddr_to_add_P)
			{
				$duplicate = true;
				break;
			}
		}
		if ($duplicate==false)
		{
			for ($i=0;$i<$add_nat_P->num_sites;$i++)
			{	
				if ($add_nat_P->site_list[$i]->span == $IPaddr_to_add_P)
				{
					$duplicate = true;
					break;
				}
			}
		}
		
		if ($duplicate==false)
		{
			$add_nat_P->add_site('','','false',FALSE,'');
			$add_nat_R->add_site('','','false',FALSE,'');
			$i=$add_nat_P->num_sites-1;
			$add_nat_P->site_list[$i]->span=$IPaddr_to_add_P;
			$add_nat_R->site_list[$i]->span=$IPaddr_to_add_R;
		}

        // serialize data
		if (isset($display_nat_P)) { $ser_display_nat_P=serialize($display_nat_P); }
		if (isset($display_nat_R)) { $ser_display_nat_R=serialize($display_nat_R); }
        if (isset($add_nat_P)) { $ser_add_nat_P=serialize($add_nat_P); } 
        if (isset($add_nat_R)) { $ser_add_nat_R=serialize($add_nat_R); } 
    }
    $return_url = 'setNAT.php';
}

else if (isset($item_no_nat)&&($item_no_nat!=''))
{
    $item_no_nat=trim($item_no_nat);
    if (substr($item_no_nat,0,3)=='dis') {
        if (isset($ser_display_nat_P)) { $display_nat_P=unserialize($ser_display_nat_P); } // unserialize data
        $item_no_nat=substr($item_no_nat,3,strlen($item_no_nat)-3);
        $display_nat_P->check_site((int)$item_no_nat);
        if (isset($display_nat_P)) { $ser_display_nat_P=serialize($display_nat_P);} // serialize data
    } else if (substr($item_no_nat,0,3)=='add') {
        if (isset($ser_add_nat_P)) { $add_nat_P=unserialize($ser_add_nat_P); } // unserialize data
        $item_no_nat=substr($item_no_nat,3,strlen($item_no_nat)-3);
        $add_nat_P->check_site((int)$item_no_nat);
        if (isset($add_nat_P)) { $ser_add_nat_P=serialize($add_nat_P); } // serialize data
    } else {
        echo "invalid $item_no_nat in intermediate.php $item_no_nat";
    }

    $return_url = 'table_NAT.php';
}

else if (isset($selectAll_flag_NAT)&&($selectAll_flag_NAT='true'))
{
    if (isset($ser_display_nat_P)) {
		$display_nat_P=unserialize($ser_display_nat_P); // unserialize data
		$display_nat_P->check_all();

		$ser_display_nat_P=serialize($display_nat_P); // serialize data
	}

    $return_url = 'table_NAT.php';
}

else if (isset($selectNone_flag_NAT)&&($selectNone_flag_NAT='true'))
{
    if (isset($ser_display_nat_P)) {
		$display_nat_P=unserialize($ser_display_nat_P); // unserialize data
		$display_nat_P->uncheck_all();

		$ser_display_nat_P=serialize($display_nat_P); // serialize data
	}

    $return_url = 'table_NAT.php';
}

//QOS
else if(isset($delete_flag_qos)&&($delete_flag_qos=='true'))
{
    // unserialize data
    if (isset($ser_display_qos)) { $display_qos=unserialize($ser_display_qos); }
    if (isset($ser_add_qos)) { $add_qos=unserialize($ser_add_qos); }

    // Remove from display
    $display_qos->purge();
    $add_qos->purge();
    $_SESSION['saving_msg_qos']=1;

    $display_qos->uncheck_all();
    $add_qos->uncheck_all();

    // serialize data
    if (isset($display_qos)) { $ser_display_qos=serialize($display_qos); }
    if (isset($add_qos)) { $ser_add_qos=serialize($add_qos); }

    $return_url = 'setqos.php';
}

else if (isset($add_flag_qos)&&($add_flag_qos=='true')) // add qos
{
    // 20080926 - Remove max values
    $qosEntry = $qos_port .' '. $qos_mindl .' '. $qos_minul;
    // unserialize data
    if (isset($ser_add_qos)) { $add_qos=unserialize($ser_add_qos); }

    $add_qos->add_site('','','false',FALSE,'');
    $i=$add_qos->num_sites-1;
    $add_qos->site_list[$i]->span=$qosEntry;

    // serialize data
    if (isset($add_qos)) { $ser_add_qos=serialize($add_qos); }

    $return_url = 'setqos.php';
}

else if (isset($item_no_qos)&&($item_no_qos!=''))
{
    $item_no_qos=trim($item_no_qos);
    if (substr($item_no_qos,0,3)=='dis') {
        if (isset($ser_display_qos)) { $display_qos=unserialize($ser_display_qos); } // unserialize data
        $item_no_qos=substr($item_no_qos,3,strlen($item_no_qos)-3);
        $display_qos->check_site((int)$item_no_qos);
        if (isset($display_qos)) { $ser_display_qos=serialize($display_qos);} // serialize data
    } else if (substr($item_no_qos,0,3)=='add') {
        if (isset($ser_add_qos)) { $add_qos=unserialize($ser_add_qos); } // unserialize data
        $item_no_qos=substr($item_no_qos,3,strlen($item_no_qos)-3);
        $add_qos->check_site((int)$item_no_qos);
        if (isset($add_qos)) { $ser_add_qos=serialize($add_qos); } // serialize data
    } else {
        echo "invalid $item_no_qos in intermediate.php $item_no_qos";
    }

    $return_url = 'table_qos.php';
}

//Port filtering
else if(isset($delete_flag_port)&&($delete_flag_port=='true'))
{
    // unserialize data
    if (isset($ser_display_portflt)) { $display_portflt=unserialize($ser_display_portflt); }
    if (isset($ser_add_portflt)) { $add_portflt=unserialize($ser_add_portflt); }

    // Remove from display
    $display_portflt->purge();
    $add_portflt->purge();
    $_SESSION['saving_msg_portflt']=1;

    $display_portflt->uncheck_all();
    $add_portflt->uncheck_all();

    // serialize data
    if (isset($display_portflt)) { $ser_display_portflt=serialize($display_portflt); }
    if (isset($add_portflt)) { $ser_add_portflt=serialize($add_portflt); }

    $return_url = 'setcfg.php?category=acl';
}

else if (isset($add_flag_portflt)&&($add_flag_portflt=='true')) // add portfilter
{
    $portfltEntry = $port_from .' '. $port_to .' '. $menu_state;
    // unserialize data
    if (isset($ser_add_portflt)) { $add_portflt=unserialize($ser_add_portflt); }

    $add_portflt->add_site('','','false',FALSE,'');
    $i=$add_portflt->num_sites-1;
    $add_portflt->site_list[$i]->span=$portfltEntry;

    // serialize data
    if (isset($add_portflt)) { $ser_add_portflt=serialize($add_portflt); }

    $return_url = 'setcfg.php?category=acl';
}

else if (isset($item_no_portflt)&&($item_no_portflt!='')) 
{ 
    $item_no_portflt=trim($item_no_portflt);
    if (substr($item_no_portflt,0,3)=='dis') {
        if (isset($ser_display_portflt)) { $display_portflt=unserialize($ser_display_portflt); } // unserialize data
        $item_no_portflt=substr($item_no_portflt,3,strlen($item_no_portflt)-3);
        $display_portflt->check_site((int)$item_no_portflt);
        if (isset($display_portflt)) { $ser_display_portflt=serialize($display_portflt);} // serialize data
    } else if (substr($item_no_portflt,0,3)=='add') {
        if (isset($ser_add_portflt)) { $add_portflt=unserialize($ser_add_portflt); } // unserialize data
        $item_no_portflt=substr($item_no_portflt,3,strlen($item_no_portflt)-3);
        $add_portflt->check_site((int)$item_no_portflt);
        if (isset($add_portflt)) { $ser_add_portflt=serialize($add_portflt); } // serialize data
    } else {
        echo "invalid $item_no_portflt in intermediate.php $item_no_portflt";
    }

    $return_url = 'table_portflt.php';
}

//Access control list
else if (isset($delete_flag_acl) && $delete_flag_acl!='') { //delete ACL entry
    // unserialize data
    if (isset($ser_display_acl)) { $display_acl=unserialize($ser_display_acl); }
    if (isset($ser_add_acl)) { $add_acl=unserialize($ser_add_acl); }

    // Remove from display
    $display_acl->purge();
    $_SESSION['saving_msg_acl'] = 1;  
    $add_acl->purge();

    $display_acl->uncheck_all();
    $add_acl->uncheck_all();

    // serialize data
    if (isset($display_acl)) { $ser_display_acl=serialize($display_acl); }
    if (isset($add_acl)) { $ser_add_acl=serialize($add_acl); }

    $return_url = 'setcfg.php?category=acl';
}
else if (isset($add_flag_acl) && $add_flag_acl!='') { //add ACL entry
    $aclEntry = "$ip1.$ip2.$ip3.$ip4 $subnet1.$subnet2.$subnet3.$subnet4";
    // unserialize data
    if (isset($ser_add_acl)) { $add_acl=unserialize($ser_add_acl); }

    if ($add_acl->num_sites < 10) { //maximun number of acl is 10
        $add_acl->add_site('','','false',FALSE,'');
        $i=$add_acl->num_sites-1;
        $add_acl->site_list[$i]->span=$aclEntry;
    }

    // serialize data
    if (isset($add_acl)) { $ser_add_acl=serialize($add_acl); }

    $return_url = 'setcfg.php?category=acl';
}

else if (isset($item_no_acl) && $item_no_acl!='') {
    $item_no_acl=trim($item_no_acl);
    if (substr($item_no_acl,0,3)=='dis') {
        if (isset($ser_display_acl)) { $display_acl=unserialize($ser_display_acl); } // unserialize data
        $item_no_acl=substr($item_no_acl,3,strlen($item_no_acl)-3);
        $display_acl->check_site((int)$item_no_acl);
        if (isset($display_acl)) { $ser_display_acl=serialize($display_acl);} // serialize data
    } else if (substr($item_no_acl,0,3)=='add') {
        if (isset($ser_add_acl)) { $add_acl=unserialize($ser_add_acl); } // unserialize data
        $item_no_acl=substr($item_no_acl,3,strlen($item_no_acl)-3);
        $add_acl->check_site((int)$item_no_acl);
        if (isset($add_acl)) { $ser_add_acl=serialize($add_acl); } // serialize data
    } else {
        echo "invalid $item_no_acl in intermediate.php $item_no_acl";
    }

    $return_url = 'table_acl.php';
}

// Advertisement

// delete redirect keyword
else if (isset($delete_flag_ad_keyword)&&($delete_flag_ad_keyword!=''))
{
    // unserialize data
    if (isset($ser_display_ad_keyword)) { $display_ad_keyword=unserialize($ser_display_ad_keyword); }
    if (isset($ser_add_ad_keyword)) { $add_ad_keyword=unserialize($ser_add_ad_keyword); }

    // Remove from display
    $display_ad_keyword->purge();
    $_SESSION['saving_msg_ad_keyword']=1;
    $add_ad_keyword->purge();
    

    $display_ad_keyword->uncheck_all();
    $add_ad_keyword->uncheck_all();

    // serialize data
    if (isset($display_ad_keyword)) { $ser_display_ad_keyword=serialize($display_ad_keyword); }
    if (isset($add_ad_keyword)) { $ser_add_ad_keyword=serialize($add_ad_keyword); }

    $return_url = 'setAdKeyword.php';
    
} // end delete sites

// add redirect keyword
else if (isset($add_flag_ad_keyword)&&($add_flag_ad_keyword!=''))
{ 
    // unserialize data
    if (isset($ser_add_ad_keyword)) { $add=unserialize($ser_add_ad_keyword); }

    $add->add_site($add_ad_keyword,-1,'false',FALSE,'');

    // serialize data
    if (isset($add)) { $ser_add_ad_keyword=serialize($add); }

    $return_url = 'setAdKeyword.php';

}

// select redirect keyword
else if (isset($item_no_ad_keyword)&&($item_no_ad_keyword!=''))
{
    $item_no_ad_keyword=trim($item_no_ad_keyword);
    if (substr($item_no_ad_keyword,0,3)=='dis') {
        if (isset($ser_display_ad_keyword)) { $display_ad_keyword=unserialize($ser_display_ad_keyword); } // unserialize data
        $item_no_ad_keyword=substr($item_no_ad_keyword,3,strlen($item_no_ad_keyword)-3);
        $display_ad_keyword->check_site((int)$item_no_ad_keyword);
        if (isset($display_ad_keyword)) { $ser_display_ad_keyword=serialize($display_ad_keyword); } // serialize data
    } else if (substr($item_no_ad_keyword,0,3)=='add') {
        if (isset($ser_add_ad_keyword)) { $add_ad_keyword=unserialize($ser_add_ad_keyword); } // unserialize data
        $item_no_ad_keyword=substr($item_no_ad_keyword,3,strlen($item_no_ad_keyword)-3);
        $add_ad_keyword->check_site((int)$item_no_ad_keyword);
        if (isset($add_ad_keyword)) { $ser_add_ad_keyword=serialize($add_ad_keyword); } // serialize data
    } else {
        echo 'invalid item_no_ad_keyword in intermediate.php'.$item_no_ad_keyword;
    }

    $return_url = 'table_Ad.php';

}

// redirect back
header("Location: $return_url");

?>
