function plan_focus() {
    var oPlanList = getFrameDocument(frames['plans']).getElementById('planList');
    if (oPlanList && oPlanList.length > 0) {
        var node = oPlanList.options[0];
        node.selected = true;
        getFrameWindow(frames['plans']).planOnchange(oPlanList);
    }
}

function activateAcc(value)
{
    var oForm = document.planform;
    if (value==2){ 
        oForm.act_date.disabled=false;
        oForm.act_time.disabled=false;
    }
    else{
        oForm.act_date.disabled=true;
        oForm.act_time.disabled=true;
        oForm.act_date.value='';
        oForm.act_time.value='';
    }
}

function expireAcc(value)
{
    var oForm = document.planform;
    if(value=='0' && oForm.cb_exp_acc0.checked==true){
        oForm.cb_exp_acc1.checked=false;
        oForm.cb_exp_acc2.checked=false;
        oForm.cb_exp_acc3.checked=false;
        oForm.cb_exp_acc4.checked=false;
        oForm.exp_timeleft.value='';
        oForm.exp_login.value='';
        oForm.exp_date.value='';
        oForm.exp_time.value='';
        oForm.exp_days.value='';
    }else if (value!='0' && oForm.cb_exp_acc0.checked==true)
        oForm.cb_exp_acc0.checked=false;

        oForm.exp_timeleft.disabled=true;
        oForm.exp_login.disabled=true;
        oForm.exp_date.disabled=true;
        oForm.exp_time.disabled=true;
        oForm.exp_days.disabled=true;
        oForm.select_exp_timeleft.disabled=true;

        if(oForm.cb_exp_acc1.checked==true)
            oForm.exp_timeleft.disabled=false;
        if(oForm.cb_exp_acc2.checked==true)
            oForm.exp_login.disabled=false;
        if(oForm.cb_exp_acc3.checked==true)
        {
            oForm.exp_date.disabled=false;
            oForm.exp_time.disabled=false;
        }
        if(oForm.cb_exp_acc4.checked==true){
            oForm.exp_days.disabled=false;
            oForm.select_exp_timeleft.disabled=false;
        }
        if(oForm.cb_exp_acc0.checked==false){
            if(value=='1' && oForm.cb_exp_acc1.checked==true){
                oForm.cb_exp_acc1.checked=true;
                oForm.exp_timeleft.disabled=false;
            }
            else if (oForm.cb_exp_acc1.checked==false)
                oForm.exp_timeleft.value='';

            if(value=='2'&& oForm.cb_exp_acc2.checked==true){
                oForm.cb_exp_acc2.checked=true;
                oForm.exp_login.disabled=false;
            }
            else if (oForm.cb_exp_acc2.checked==false)
                oForm.exp_login.value='';

            if(value=='3' && oForm.cb_exp_acc3.checked==true){
                oForm.cb_exp_acc3.checked=true;
                oForm.exp_date.disabled=false;
                oForm.exp_time.disabled=false;
            }
            else if (oForm.cb_exp_acc3.checked==false)
            {
                oForm.exp_date.value='';
                oForm.exp_time.value='';
            }

            if(value=='4'&& oForm.cb_exp_acc4.checked==true){
                oForm.cb_exp_acc4.checked=true;
                oForm.exp_days.disabled=false;
                oForm.select_exp_timeleft.disabled=false;
            }
            else if (oForm.cb_exp_acc4.checked==false)
                oForm.exp_days.value='';
        }
}

function planrbtn(value)
{
    var oForm = document.planform;
    oForm.plan_bt_num.disabled=true;
    oForm.plan_bt_num_dl.disabled=true;

    if(value=='5')
    {
        oForm.plan_bt_num.disabled=false;
        oForm.plan_bt_num_dl.disabled=false;
    }
    else
    {
        oForm.plan_bt_num.value='';
        oForm.plan_bt_num_dl.value='';
    }
}

function planbwparam(value)
{
    var oForm = document.planform;
    oForm.plan_bwquota1.disabled=true;

    if(parseInt(value)==2)
        oForm.plan_bwquota1.disabled=false;
    else
        oForm.plan_bwquota1.value='';
}

function planbwparamUL(value)
{
    var oForm = document.planform;
    oForm.plan_bwquota1UL.disabled=true;

    if(parseInt(value)==2)
        oForm.plan_bwquota1UL.disabled=false;
    else
        oForm.plan_bwquota1UL.value='';
}


function planbwparamSHA(value)
{
    var oForm = document.planform;
    oForm.plan_bwquota1SHA.disabled=true;

    if(parseInt(value)==2)
        oForm.plan_bwquota1SHA.disabled=false;
    else
        oForm.plan_bwquota1SHA.value='';
}

function plan_usr_abw_disable_all()
{
    show_hide( 'plan_usr_resetabw_monthly', 1, 'none' );
    show_hide( 'plan_usr_resetabw_daily', 1, 'none' );
}

function plan_usr_abw_enable_textbox()
{
    show_hide( 'plan_usr_resetabw_monthly', 1, '' );
    show_hide( 'plan_usr_resetabw_daily', 1, 'none' );
}

function plan_usr_abw_disable_textbox()
{
    show_hide( 'plan_usr_resetabw_monthly', 1, 'none' );
    show_hide( 'plan_usr_resetabw_daily', 1, '' );
}

function show_hide(id, total_num,isshow){
    for (i = 0; i <= total_num; i++){
        content = document.getElementById(id + i);
        content.style.display = isshow;
    }
}

function deletePlan() {
    var temp = getFrameDocument(frames['plans']).getElementById('planList');
    var numOfSelectedPlan = 0;
    var arrayOfPlan = new Array();
    with (temp) {
        for (var i=0; i<length; i++) {
            if (options[i].selected) {
                arrayOfPlan[numOfSelectedPlan] = options[i].text;
                numOfSelectedPlan++;
            }
        }
    }
    if (numOfSelectedPlan == 0) {
        alertDeleteNull();
        return false;
    }

    document.deleteplanform.listOfPlan.value = arrayOfPlan.join('|');
    if(confirmDeletePlan(numOfSelectedPlan)==true) {
        document.deleteplanform.submit();
    }
}
function clearPlan() {
    var i;
    var oForm = document.planform;

    oForm.planname.value = '';

    oForm.bt_plan_status[0].checked = false;
    oForm.bt_plan_status[1].checked = false;

    for (i=0; i<oForm.bt_act_acc.length; i++)
        oForm.bt_act_acc[i].checked = false;
    oForm.act_date.value='';
    oForm.act_time.value='';

    oForm.cb_exp_acc0.checked = false;
    oForm.cb_exp_acc1.checked = false;
    oForm.cb_exp_acc2.checked = false;
    oForm.cb_exp_acc3.checked = false;
    oForm.cb_exp_acc4.checked = false;
    oForm.exp_timeleft.value = '';
    oForm.exp_login.value = '';
    oForm.exp_date.value = '';
    oForm.exp_time.value = '';
    oForm.exp_days.value = '';

    for (i=0; i<oForm.plan_bt_mode.length; i++)
        oForm.plan_bt_mode[i].checked = false;
    oForm.plan_bt_num.value='';
    oForm.plan_bt_num_dl.value='';

    for (i=0; i<oForm.plan_bwcount.length; i++)
        oForm.plan_bwcount[i].checked = false;
    oForm.plan_bwquota1.value='';

    for (i=0; i<oForm.plan_bwcountUL.length; i++)
        oForm.plan_bwcountUL[i].checked = false;
    oForm.plan_bwquota1UL.value='';
	
	for (i=0; i<oForm.plan_bwcountSHA.length; i++)
        oForm.plan_bwcountSHA[i].checked = false;
    oForm.plan_bwquota1SHA.value='';

    oForm.plan_usr_abw_rdate.value='';
    oForm.plan_usr_abw_rp_1.value='';
    oForm.plan_usr_abw_rp_2.value='';
    for (i=0; i<oForm.plan_usr_abw_rm.length; i++)
        oForm.plan_usr_abw_rm[i].checked = false;
    
    oForm.plan_printQuota.value = ''; //reset print quota
    oForm.plan_acl[1].checked = true; //reset access control list to 'no'
    oForm.plan_signup[1].checked = true; //reset signup to 'no'
    oForm.mac_map[1].checked = true; //reset Bind to first login MAC address to 'no'
    oForm.ip_map[1].checked = true; //reset Real IP address mapping to 'no'
    oForm.plan_autodel[1].checked = true; //reset Auto delete to 'no'
    // reset Recurring to 'off'
    oForm.plans_recur_option[1].checked = true;
    plans_recur_disabled(0);
    oForm.plans_cb_mon.checked = false;
    oForm.plans_cb_tue.checked = false;
    oForm.plans_cb_wed.checked = false;
    oForm.plans_cb_thr.checked = false;
    oForm.plans_cb_fri.checked = false;
    oForm.plans_cb_sat.checked = false;
    oForm.plans_cb_sun.checked = false;
    oForm.plans_recur_stime.value='';
    oForm.plans_recur_etime.value='';
}

function disablePlan(bool) {
    var oForm = document.planform;
    
    //Following loop automate the job
    for (var i=0; i<oForm.elements.length; i++) {
        oForm.elements[i].disabled = bool;
    }
    oForm.planname.disabled = false;
    oForm.planname.readOnly = bool;

    if (oForm.disabled.value == 'disabled') {
        for (i=0; i<oForm.plan_bt_mode.length; i++)
            oForm.plan_bt_mode[i].disabled = true;
        oForm.plan_bt_num.disabled = true;
        oForm.plan_bt_num_dl.disabled = true;

        for (i=0; i<oForm.plan_bwcount.length; i++)
            oForm.plan_bwcountUL[i].disabled = true;
        oForm.plan_bwquota1UL.disabled = true;

        for (i=0; i<oForm.plan_bwcountUL.length; i++)
            oForm.plan_bwcount[i].disabled = true;
        oForm.plan_bwquota1.disabled = true;
		
		for (i=0; i<oForm.plan_bwcountSHA.length; i++)
            oForm.plan_bwcountSHA[i].disabled = true;
        oForm.plan_bwquota1SHA.disabled = true;
    }
}

function onAdd() {
    var oForm = document.planform;
    var oPlanList = getFrameDocument(frames['plans']).getElementById('planList');
    oForm.addplan.value = 'true';
    oForm.editplan.value = '';
    changeTab();

    document.getElementById('buttons').style.display = 'none';
    document.getElementById('saveCancel').style.display = '';

    oPlanList.style.background = '#DDDDDD';
    oPlanList.disabled = true;
    oPlanList.selectedIndex = -1;

    disablePlan(false);
    clearPlan();

    // default value of new plan
    oForm.bt_plan_status[0].checked = true;
    oForm.bt_act_acc[0].checked = true;
    oForm.cb_exp_acc0.checked = true;
    oForm.plan_bt_mode[4].checked = true;
	oForm.plan_bwcountSHA[0].checked = true;
    oForm.plan_bwcountUL[2].checked = true;
    oForm.plan_bwcount[2].checked = true;
    oForm.plan_usr_abw_rm[3].checked = true;

    // call functions
    activateAcc('0');
    expireAcc('0');
    planrbtn('4');
	planbwparamSHA('0');
    planbwparamUL('-1');
    planbwparam('-1');
    plan_usr_abw_disable_all();
}

function getFrameDocument(frameObj)
{
/**
 *  For compatibility between IE & Firefox
 */
    if (frameObj.document) {
        return frameObj.document;
    } else {
        return frameObj.contentDocument;
    }
}
function getFrameWindow(frameObj)
{
/**
 *  For compatibility between IE & Firefox
 */
    if (frameObj.window) {
        return frameObj.window;
    } else {
        return frameObj.contentWindow;
    }
}
function onEdit() {
    var oForm = document.planform;
    var oPlanList = getFrameDocument(frames['plans']).getElementById('planList');

    if (oPlanList.length > 0) {
        var node = oPlanList.options[0];
        oForm.addplan.value = '';
        oForm.editplan.value = 'true';
        changeTab();

        document.getElementById('buttons').style.display = 'none';
        document.getElementById('saveCancel').style.display = '';

        disablePlan(false);
        oForm.planname.readOnly = true;
        getFrameWindow(frames['plans']).planOnchange(oPlanList);
    } else {
        alertEditNull();
    }
}

function onCancel() {
    var oForm = document.planform;
    var oPlanList = getFrameDocument(frames['plans']).getElementById('planList');

    // cancel from add
    if (oForm.addplan.value == 'true') {

        oPlanList.disabled = false;
        oPlanList.style.background = '#FFFFFF';
        plan_focus();
    }

    oForm.addplan.value = '';
    oForm.editplan.value = '';
    getFrameWindow(frames['plans']).planOnchange(oPlanList);
    defaultUI();
}

function defaultUI() {
    changeTab();

    document.getElementById('buttons').style.display = '';
    document.getElementById('saveCancel').style.display = 'none';

    disablePlan(true);
}

function plans_recur_disabled(instance) {
    if ( instance.value == 1 )
        document.getElementById("plans_schedule").style.display = '';
    else
        document.getElementById("plans_schedule").style.display = 'none'; 
}
