<?php
require_once 'secureLogin.php'; //prevent hacker from running this script by setting GET variables
?>
<html>
<head>
<title>Free domain names table</title>
<style type="text/css">
<!--
    ul { font-family: Tahoma, sans-serif; font-size: 10pt; }
    img { margin-right: 5px; border: 0; }
    .odd { background: #F0F0F0; }
    .even { background: #FFF; }
    .checked { background: #BAEAD6; }
    #display { color: #000; list-style: none; margin: 0; padding: 0; }
    #add { color: #096; list-style: none; margin: 0; padding: 0; border-top: 1px solid green; }
    #display li, #add li { padding-left: 5px; }
    #display span, #add span { width: 220px; float:left; }
    form {margin: 0;}
-->
</style>
</head>
<body>

<?php

require_once 'display_list.php';

// 20080827 - Obtain information from config
$settingObj = new COM('FSCONFIG.Cfgmgr') or die('table.php FSCONFIG.Cfgmgr Object cannot be created!');
$hostKeywordFile = $settingObj->getKey('hosts_keywords_path', 'allowed hosts');
$settingObj = null;

// 20080827 - Replace hard-coded keyword file
// register sessions, if needed
if (!isset($ser_display)) { 
    $display = new Saved_Array($hostKeywordFile);
    $ser_display = serialize($display);
    session_register('ser_display');
}

if (!isset($ser_add)) {
  $add = new Site_Array;
  $ser_add = serialize($add);
  session_register('ser_add');
}

// unserialize data
if (isset($ser_display)) {
    $display = unserialize($ser_display);
}
if (isset($ser_add)) {
    $add = unserialize($ser_add);
}


if ($display->num_sites > 0) {
    echo '<ul id="display">';

    $i = 0;
    $class = '';

    while ($i < $display->num_sites) {
        if ($display->site_list[$i]->name != ';') {
            $class = ($class == 'odd')? 'even': 'odd';
            if ($display->site_list[$i]->checked == 'true') {
                $checked = 'checked';
                $class = 'checked';
            } else {
                $checked = '';
            }
            echo '
    <li class="'.$class.'">
        <span><img src="./images/smallbubble.gif">'.$display->site_list[$i]->name.'</span>
        <input type="checkbox" onclick="document.combo.item_no.value=\'dis'.$i.'\'; document.combo.submit();"'.$checked.'>
    </li>';
        }
        $i++;
    }

    echo "\n</ul>\n";
}

if ($add->num_sites > 0) {
    echo '<ul id="add">';

    $i = 0;
    $class = '';

    while ($i < $add->num_sites) {
        if ($add->site_list[$i]->name != ';') {
            $class = ($class == 'odd')? 'even': 'odd';
            if ($add->site_list[$i]->checked == 'true') {
                $checked = 'checked';
                $class = 'checked';
            } else {
                $checked = '';
            }
            echo '
    <li class="'.$class.'">
        <span><img src="./images/smallbubble.gif">'.$add->site_list[$i]->name.'</span>
        <input type="checkbox" onclick="document.combo.item_no.value=\'add'.$i.'\'; document.combo.submit();"'.$checked.'>
    </li>';
        }
        $i++;
    }

    echo "\n</ul>\n";
}

?>

<form name="combo" action="intermediate.php" method="post">
    <input type="hidden" name="item_no" value="">
</form>

</body>
</html>
