<?php
require_once 'secureLogin.php'; //prevent hacker run this script by setting GET variables
?>
<html>
<head>
<title>Port filtering table</title>
<style type="text/css">
<!--
    table { font-family: Tahoma, sans-serif; font-size: 10pt; }
    .odd { background: #F0F0F0; }
    .even { background: #FFF; }
    .checked { background: #BAEAD6; }
    #display { border-collapse: collapse; color: #000; }
    #add { border-top: 1px solid #99D1A2; border-collapse: collapse ; color: #096; }
    form {margin: 0;}
-->
</style>
</head>
<body>
<?php

require_once 'display_list.php';

// register sessions, if needed
if (!isset($ser_display_portflt)||($ser_display_portflt=='')) {
    $settingobj = new COM('FSCONFIG.Cfgmgr') or die('table_portflt.php FSCONFIG.Cfgmgr Object cannot be created!');

    $num_portflt = $settingobj->getKey( 'flt_num', 'Port Filter');

    $tmp_num ='0'.trim($num_portflt);

    $num = (int)$tmp_num;

    $display_portflt = new Site_Array;

    $i = 0;
    while ($i < $num) {
        $portfltEntry[$i] = $settingobj->getKey( 'flt_'.$i, 'Port Filter');
        $strarray = trim($portfltEntry[$i]);
        $display_portflt->add_site('','','false',FALSE,'');
        $display_portflt->site_list[$i]->span = $strarray;

        $i++;
    }
    //release COM object
    //$settingobj->Release();
    $settingobj = null;

    $ser_display_portflt = serialize($display_portflt);
    session_register('ser_display_portflt');
}

if (!isset($ser_add_portflt)) {
    $add_portflt = new Site_Array;
    $ser_add_portflt = serialize($add_portflt);
    session_register('ser_add_portflt');
}

// unserialize data
if (isset($ser_display_portflt)) {
    $display_portflt = unserialize($ser_display_portflt);
}
if (isset($ser_add_portflt)) {
    $add_portflt = unserialize($ser_add_portflt);
}

if ($display_portflt->num_sites > 0) {
    echo '
<table id="display" width="100%">
<colgroup span="4">
<col width="70">
<col width="70">
<col width="70">
<col width="60">
</colgroup>';

    $i = 0;
    $class = '';

    while ($i < $display_portflt->num_sites) {
        if ($display_portflt->site_list[$i]->name != ';') {
            $class = ($class == 'odd')? 'even': 'odd';
            if ($display_portflt->site_list[$i]->checked == 'true') {
                $checked = 'checked';
                $class = 'checked';
            } else {
                $checked = '';
            }

            $num = explode(' ', $display_portflt->site_list[$i]->span);

            echo "\n<tr class=\"$class\">\n";

            for ($k = 0; $k < sizeof($num); $k++) {
                $thisElement = $num[$k];
                if($num[$k] == '#') {
                    $k++;
                    $thisElement = '#'.$num[$k];
                }

                if ($k == (sizeof($num)-1)) {
                    if($thisElement == 0)
                        $thisElement='TCP';
                    else if($thisElement==1)
                        $thisElement='UDP';
                    else
                        $thisElement='BOTH';
                }
                echo "    <td>$thisElement</td>\n";
            }

            echo '    <td><input type="checkbox" onClick="document.combo.item_no_portflt.value=\'dis'.$i.'\'; document.combo.submit();" '.$checked.'></td>';
            echo "\n</tr>\n";
        }
        $i++;
    }
    echo "</table>\n";
}

if ($add_portflt->num_sites > 0) {
    echo '
<table id="add" width="100%">
<colgroup span="4">
<col width="70">
<col width="70">
<col width="70">
<col width="60">
</colgroup>';

    $i = 0;
    $class = '';

    while ($i < $add_portflt->num_sites) {
        if ($add_portflt->site_list[$i]->name != ';') {
            $class = ($class == 'odd')? 'even': 'odd';
            if ($add_portflt->site_list[$i]->checked == 'true') {
                $checked = 'checked';
                $class = 'checked';
            } else {
                $checked = '';
            }

            $num = explode(' ', $add_portflt->site_list[$i]->span);

            echo "\n<tr class=\"$class\">\n";

            for ($k = 0; $k < sizeof($num); $k++) {
                $thisElement = $num[$k];
                if($num[$k] == '#') {
                    $k++;
                    $thisElement = '#'.$num[$k];
                }

                if ($k == (sizeof($num)-1)) {
                    if($thisElement == 0)
                        $thisElement='TCP';
                    else if($thisElement==1)
                        $thisElement='UDP';
                    else
                        $thisElement='BOTH';
                }
                echo "    <td>$thisElement</td>\n";
            }

            echo '    <td><input type="checkbox" onClick="document.combo.item_no_portflt.value=\'add'.$i.'\'; document.combo.submit();" '.$checked.'></td>';
            echo "\n</tr>\n";
        }
        $i++;
    }
    echo "</table>\n";
}

?>

<form name="combo" action="intermediate.php" method="post">
    <input type="hidden" name="item_no_portflt" value="">
</form>

</body>
</html>
