<?php header("Cache-Control: no-cache, must-revalidate"); ?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>FirstSpot&reg; | submit</title>
<link rel="stylesheet" href="local.css">
<script type="text/javascript">
function submitForm()
{
	document.payment.submit();
}
</script>
</head>

<?php
// ensure require postfields have submitted by cart.php //  

$status_message="";
$ok=true;
// validate received postfields by cart.php
if ( !isset($_POST["username"]) || strcmp ($_POST["username"], "") == 0) {
  $status_message="- <b>username</b>: the FirstSpot user who is going to receive the purchase air time credit.<br>";
  $ok=false;
}
if (!isset($_POST["item_index"]) || strcmp ($_POST["item_index"], "") == 0) {
  $status_message.="- <b>item_index</b>: the item_index for searching the item attributes.<br>";
  $ok=false;
}

if (!$ok) {
  echo '<body>'."\n";
  echo 'These are the minimum fields you have to post to this php file:<p>'."\n";
  echo $status_message;
    // 20080211 - Correct typo
    echo "\n".'</p><p>Auto-redirection is aborted.</p>'."\n";
  if(isset($_SERVER['HTTP_REFERER']))
    echo "<a href=\"{$_SERVER['HTTP_REFERER']}\">Click here to go back</a>\n";
  echo "</body>\n";
  echo "</html>\n";
  die;
}

include_once "transaction.php";

$myTransaction = new transaction();
//20080716 use the get_cart_item_arr function to retrieve the transaction item array(contains the item information)
$item_index=$_POST['item_index'];
$cart_item_arr=$myTransaction->get_cart_item_arr($item_index);
//20080716 show warning if the cart item does not exists
if($cart_item_arr==null){
	echo '<body>'."\n";
	echo 'Shopping Item not find!!'."\n";
	echo '<p>Auto-redirection is aborted.</p>'."\n";
	if(isset($_SERVER['HTTP_REFERER']))
	echo "<a href=\"{$_SERVER['HTTP_REFERER']}\">Click here to go back</a>\n";
	echo "</body>\n";
	echo "</html>\n";
	die;
}

//destination url (*)
$url="https://www.sandbox.paypal.com/cgi-bin/webscr";

//initialize variable (Get setting from Configuration Manager- User defined payment.)
$settingobj = new COM("FSCONFIG.Cfgmgr") or die("paypal_submit2.php FSCONFIG.Cfgmgr Object cannot be created!");
$id=$settingobj->getKey( "id", "User_defined_payment");
$pin1=$settingobj->getKey( "pin1", "User_defined_payment");
$pin2=$settingobj->getKey( "pin2", "User_defined_payment");
$return=$settingobj->getKey( "ppal_return", "paypal");
// 20070831 - Correct typo
$cancel_return=$settingobj->getKey( "ppal_cancel_return", "paypal");
$notify_url=$settingobj->getKey( "notify_url", "User_defined_payment");
$currency_code=$settingobj->getKey( "currency", "User_defined_payment");  
//$settingobj->Release();
$settingobj=null;


  //20080716 postfields from cart.php now contains item_index and username only
  //postfields from cart.php
  //$_POST["username"];
  //$_POST["item_index"];
  
//default others postfields (*)


$postfields['business'] = $id;
$postfields['notify_url'] = $notify_url;
$postfields['return'] = $return."?username=".$_POST["username"];
$postfields['cancel_return'] = $cancel_return."?username=".$_POST["username"];
$postfields['cmd'] = "_xclick";
$postfields['item_name'] = $cart_item_arr['item_name'];
$postfields['amount'] = $cart_item_arr['amount'];
$postfields['currency_code'] = $currency_code;
$postfields['no_shipping'] = "1";
$postfields['no_note'] = "1";
$postfields['rm'] = "1";
$postfields['undefined_quantity'] = "0";
  
//recurring
//define interval_unit for recurring (*)
if (isset($cart_item_arr['interval_unit'])) {
  $interval_unit =$cart_item_arr['interval_unit'];

  if ($interval_unit == "days")
    $unit = "D";
  else if ($interval_unit == "weeks")
    $unit = "W";
  else if ($interval_unit == "months")
    $unit = "M";
  else if ($interval_unit == "years")
    $unit = "Y";
}

//require postfields for recurring (*)
if (isset($cart_item_arr['recurring_enable']))
  if ( $cart_item_arr['recurring_enable'] == 1 )
  {
    $postfields['cmd'] = "_xclick-subscriptions";
    $postfields['a3'] = $cart_item_arr['amount'];
    $postfields['p3'] = $_POST["interval"];
    $postfields['t3'] = $unit;
    $postfields['src'] = "1";
    $postfields['sra'] = "1";

    if ( isset($cart_item_arr['recurring_method']) && isset($cart_item_arr['fixed_number']) ) {
      if ( $cart_item_arr['recurring_method'] == "fixed" && $cart_item_arr['fixed_number'] != null && $cart_item_arr['fixed_number'] != "" )
        $postfields['srt'] = $cart_item_arr['fixed_number'];
    }

  }
//end of recurring  

//define your own postfields (*)

//define fields need to be updated (*)
$method = "paypal";
$dbfields['item_name'] = $cart_item_arr['item_name'];
$dbfields['amount'] = $cart_item_arr['amount'];
$dbfields['planname'] = $cart_item_arr['plan'];
$dbfields['quantity'] = $cart_item_arr['quantity'];
$dbfields['curr'] = $currency_code;
$dbfields['method'] = $method;

//insert transaction into database
$invoice_no = $myTransaction->insert_transaction($_POST["username"], $dbfields);

//assign invoice number to postfield
$postfields['custom'] = $invoice_no."|".$_POST["username"]."|".$_POST["plan"];

// 20080206 - Stop submit form if INVOICE is abnormal
if ($invoice_no > 0) {

?>
<body onload="submitForm()">
<?php

    //submit form to payment gateway
    $myTransaction->submit_form($url, $postfields);
} else {
    echo "<body>\n";
    echo "\n".'<p>Transaction failed... Please contact the help desk!</p>'."\n";
    if(isset($_SERVER['HTTP_REFERER'])) {
	echo "<a href=\"{$_SERVER['HTTP_REFERER']}\">Click here to go back</a>\n";
    }
    echo "</body>\n";
    echo "</html>\n";
    die;
}

?>
</body>
</html>
